Index: template/template-config.xml
===================================================================
--- template/template-config.xml	(revision e88b385ffea8ecef5e6c4d27404d59df4b777da9)
+++ template/template-config.xml	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -1,15 +1,15 @@
-<sect3>
+<sect2>
 <title>Configuring template</title>
 
-<sect4><title>Config files</title>
+<sect3><title>Config files</title>
 <para><userinput>List of config files</userinput></para>
-</sect4>
+</sect3>
 
-<sect4><title>Configuration Information</title>
+<sect3><title>Configuration Information</title>
 
 <para><userinput>USERINPUT GOES HERE</userinput> Blah blah blah about config.
 </para>
-</sect4>
-
 </sect3>
 
+</sect2>
+
Index: template/template-desc.xml
===================================================================
--- template/template-desc.xml	(revision e88b385ffea8ecef5e6c4d27404d59df4b777da9)
+++ template/template-desc.xml	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -1,17 +1,17 @@
-<sect3>
+<sect2>
 <title>Contents</title>
 
 <para>The template package contains <userinput>LISTOFFILES</userinput></para>
 
-</sect3>
+</sect2>
 
-<sect3><title>Description</title>
+<sect2><title>Description</title>
 
-<sect4><title>item1</title>
-<para>item1 does this</para></sect4>
+<sect3><title>item1</title>
+<para>item1 does this</para></sect3>
 
-<sect4><title>item2</title>
-<para>item2 does that</para></sect4>
+<sect3><title>item2</title>
+<para>item2 does that</para></sect3>
 
-</sect3>
+</sect2>
 
Index: template/template-exp.xml
===================================================================
--- template/template-exp.xml	(revision e88b385ffea8ecef5e6c4d27404d59df4b777da9)
+++ template/template-exp.xml	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -1,7 +1,7 @@
-<sect3>
+<sect2>
 <title>Command explanations</title>
 
 <para><userinput>COMMAND:</userinput> This command does something.</para>
 
-</sect3>
+</sect2>
 
Index: template/template-inst.xml
===================================================================
--- template/template-inst.xml	(revision e88b385ffea8ecef5e6c4d27404d59df4b777da9)
+++ template/template-inst.xml	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -1,3 +1,3 @@
-<sect3>
+<sect2>
 <title>Installation of template</title>
 
@@ -6,4 +6,4 @@
 <para><screen><userinput>./configure </userinput></screen></para>
 
-</sect3>
+</sect2>
 
Index: template/template-intro.xml
===================================================================
--- template/template-intro.xml	(revision e88b385ffea8ecef5e6c4d27404d59df4b777da9)
+++ template/template-intro.xml	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -1,3 +1,3 @@
-<sect3>
+<sect2>
 <title>Introduction to template</title>
 
@@ -12,3 +12,3 @@
 DEPENDENCY LIST (if any)</screen>
 
-</sect3>
+</sect2>
Index: template/template.ent
===================================================================
--- template/template.ent	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
+++ template/template.ent	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -0,0 +1,10 @@
+<!ENTITY template SYSTEM "../template.xml">
+<!ENTITY template-intro SYSTEM "template-intro.xml">
+<!ENTITY template-inst SYSTEM "template-inst.xml">
+<!ENTITY template-exp SYSTEM "template-exp.xml">
+<!ENTITY template-desc SYSTEM "template-desc.xml">
+<!ENTITY template-buildsize "">
+<!ENTITY template-version "">
+<!ENTITY template-download-http "">
+<!ENTITY template-download-ftp "">
+<!ENTITY template-size "">
Index: template/template.xml
===================================================================
--- template/template.xml	(revision e88b385ffea8ecef5e6c4d27404d59df4b777da9)
+++ template/template.xml	(revision 87930b0f6921ff1ade967ec574c5b02092a121b2)
@@ -1,3 +1,3 @@
-<sect2 id="template" xreflabel="template-&template-version;">
+<sect1 id="template" xreflabel="template-&template-version;">
 <title>template-&template-version;</title>
 
@@ -8,4 +8,4 @@
 &template-desc;
 
-</sect2>
+</sect1>
 