Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ general/genlib/libgpg-error.xml	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -9,7 +9,7 @@
   <!-- <!ENTITY libgpg-error-download-ftp  "&gnupg-ftp;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2"> -->
   <!ENTITY libgpg-error-download-ftp  " ">
-  <!ENTITY libgpg-error-md5sum        "309eeb45a6e806c5bd0075a7a70431b7">
+  <!ENTITY libgpg-error-md5sum        "2808a9e044f883f7554c5ba6a380b711">
   <!ENTITY libgpg-error-size          "900 KB">
-  <!ENTITY libgpg-error-buildsize     "9.8 MB (with tests)">
+  <!ENTITY libgpg-error-buildsize     "12 MB (with tests)">
   <!ENTITY libgpg-error-time          "0.1 SBU (with tests)">
 ]>
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ general/sysutils/unrar.xml	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -7,7 +7,7 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "def579782da17dc85940cda559b92287">
+  <!ENTITY unrar-md5sum        "1695c966688dd26f7ba34f6f9f279d0c">
   <!ENTITY unrar-size          "224 KB">
-  <!ENTITY unrar-buildsize     "2.1 MB">
+  <!ENTITY unrar-buildsize     "2.4 MB">
   <!ENTITY unrar-time          "0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ introduction/welcome/changelog.xml	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -46,4 +46,20 @@
       <para>January 29th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to xf86-video-nouveau-1.0.16. Fixes
+          <ulink url="&blfs-ticket-root;11603">#11603</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libgpg-error-1.35. Fixes
+          <ulink url="&blfs-ticket-root;11599">#11599</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to unrar-5.7.1. Fixes
+          <ulink url="&blfs-ticket-root;11600">#11600</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to nss-3.42. Fixes
+          <ulink url="&blfs-ticket-root;11598">#11598</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Remove dependency on Python 2 for plasma, and
Index: packages.ent
===================================================================
--- packages.ent	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ packages.ent	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -30,8 +30,8 @@
 <!ENTITY nettle-version               "3.4.1">
 
-<!ENTITY nss-minor-version            "41">
-<!ENTITY nss-micro-version            "1">
-<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">
-<!--<!ENTITY nss-version                  "3.&nss-minor-version;">-->
+<!ENTITY nss-minor-version            "42">
+<!--<!ENTITY nss-micro-version            "1">-->
+<!--<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">-->
+<!ENTITY nss-version                  "3.&nss-minor-version;">
 
 <!ENTITY openssh-version              "7.9p1">
@@ -139,5 +139,5 @@
 <!ENTITY libgcrypt-version            "1.8.4">
 <!ENTITY libglade-version             "2.6.4">
-<!ENTITY libgpg-error-version         "1.34">
+<!ENTITY libgpg-error-version         "1.35">
 <!ENTITY libgsf-version               "1.14.45">
 <!ENTITY libgudev-version             "232">
@@ -296,5 +296,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.8.1">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "5.6.8">
+<!ENTITY unrar-version                "5.7.1">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.9">
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ postlfs/security/nss.xml	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -9,14 +9,14 @@
 
 <!-- micro versions -->
-<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_&nss-micro-version;_RTM/src/nss-&nss-version;.tar.gz">
+<!--<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_&nss-micro-version;_RTM/src/nss-&nss-version;.tar.gz">-->
 
 <!-- no micro versions -->
-<!--<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">-->
+  <!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">
 
   <!ENTITY nss-download-ftp " ">
-  <!ENTITY nss-md5sum        "b89eafb7c960b11260a3ac30315cab01">
+  <!ENTITY nss-md5sum        "2a9bc43d35d16ebbe243f1de43b509ea">
   <!ENTITY nss-size          "22 MB">
-  <!ENTITY nss-buildsize     "142 MB">
-  <!ENTITY nss-time          "2.0 SBU">
+  <!ENTITY nss-buildsize     "143 MB">
+  <!ENTITY nss-time          "2.3 SBU">
 ]>
 
Index: server/databases/postgresql.xml
===================================================================
--- server/databases/postgresql.xml	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ server/databases/postgresql.xml	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -69,5 +69,5 @@
       <xref linkend="linux-pam"/>,
       <xref linkend="mitkrb"/> and
-      <ulink url="http://developer.apple.com/networking/bonjour/">Bonjour</ulink>
+      <ulink url="https://developer.apple.com/bonjour/">Bonjour</ulink>
     </para>
 
Index: x/installing/x7driver-nouveau.xml
===================================================================
--- x/installing/x7driver-nouveau.xml	(revision 33c8b427ce4f3d8675024eca65598240d20a3780)
+++ x/installing/x7driver-nouveau.xml	(revision 88057a152772965bbae45634d72eee94bc964c4f)
@@ -5,11 +5,11 @@
   %general-entities;
 
-  <!ENTITY xorg-nouveau-driver-version "1.0.15">
+  <!ENTITY xorg-nouveau-driver-version "1.0.16">
 
   <!ENTITY xorg-nouveau-driver-download-http "&xorg-download-http;/driver/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.bz2">
   <!ENTITY xorg-nouveau-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.bz2">
-  <!ENTITY xorg-nouveau-driver-md5sum        "717203cb87029cddcbccf7398f9ad8c3">
-  <!ENTITY xorg-nouveau-driver-size          "572 KB">
-  <!ENTITY xorg-nouveau-driver-buildsize     "14 MB">
+  <!ENTITY xorg-nouveau-driver-md5sum        "ecd9be89d853301167e3d564c49f7a8e">
+  <!ENTITY xorg-nouveau-driver-size          "616 KB">
+  <!ENTITY xorg-nouveau-driver-buildsize     "15 MB">
   <!ENTITY xorg-nouveau-driver-time          "0.1 SBU">
 ]>