Index: general/genlib/libqmi.xml
===================================================================
--- general/genlib/libqmi.xml	(revision 2c1dc23635b2283df23613b87bbbbf457eece279)
+++ general/genlib/libqmi.xml	(revision 88523c51bea866ef812a0c5dc8fd69706a75f16c)
@@ -7,7 +7,7 @@
   <!ENTITY libqmi-download-http "https://www.freedesktop.org/software/libqmi/libqmi-&libqmi-version;.tar.xz">
   <!ENTITY libqmi-download-ftp  " ">
-  <!ENTITY libqmi-md5sum        "1a30e5304d01e72845bd3e9c353c8ded">
+  <!ENTITY libqmi-md5sum        "c0a656e06dccdd4fcd590f1d718a3b1c">
   <!ENTITY libqmi-size          "1.2 MB">
-  <!ENTITY libqmi-buildsize     "150 MB (with tests)">
+  <!ENTITY libqmi-buildsize     "151 MB (with tests)">
   <!ENTITY libqmi-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 2c1dc23635b2283df23613b87bbbbf457eece279)
+++ general/graphlib/harfbuzz.xml	(revision 88523c51bea866ef812a0c5dc8fd69706a75f16c)
@@ -8,8 +8,8 @@
            "https://github.com/harfbuzz/harfbuzz/releases/download/&harfbuzz-version;/harfbuzz-&harfbuzz-version;.tar.xz">
   <!ENTITY harfbuzz-download-ftp  " ">
-  <!ENTITY harfbuzz-md5sum        "b1977caae59978c2fea28a4b66a60da0">
+  <!ENTITY harfbuzz-md5sum        "f2cec0adcfea1de89b47de4b8e682808">
   <!ENTITY harfbuzz-size          "11 MB">
-  <!ENTITY harfbuzz-buildsize     "86 MB (add 6 MB for tests)">
-  <!ENTITY harfbuzz-time          "0.4 SBU (Using parallelism=4; add 0.4 SBU for tests)">
+  <!ENTITY harfbuzz-buildsize     "92 MB (add 8 MB for tests)">
+  <!ENTITY harfbuzz-time          "0.4 SBU (Using parallelism=4; add less than 0.1 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2c1dc23635b2283df23613b87bbbbf457eece279)
+++ introduction/welcome/changelog.xml	(revision 88523c51bea866ef812a0c5dc8fd69706a75f16c)
@@ -42,4 +42,26 @@
     </listitem>
     -->
+    <listitem>
+      <para>September 9th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to wget-1.21.2. Fixes
+          <ulink url="&blfs-ticket-root;15512">#15512</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to harfbuzz-2.9.1. Fixes
+          <ulink url="&blfs-ticket-root;15511">#15511</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to soundtouch-2.3.1. Fixes
+          <ulink url="&blfs-ticket-root;15509">#15509</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libqmi-1.30.2. Fixes
+          <ulink url="&blfs-ticket-root;15507">#15507</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>September 8th, 2021</para>
Index: multimedia/libdriv/soundtouch.xml
===================================================================
--- multimedia/libdriv/soundtouch.xml	(revision 2c1dc23635b2283df23613b87bbbbf457eece279)
+++ multimedia/libdriv/soundtouch.xml	(revision 88523c51bea866ef812a0c5dc8fd69706a75f16c)
@@ -7,5 +7,5 @@
   <!ENTITY soundtouch-download-http "https://gitlab.com/soundtouch/soundtouch/-/archive/&soundtouch-version;/soundtouch-&soundtouch-version;.tar.bz2">
   <!ENTITY soundtouch-download-ftp  " ">
-  <!ENTITY soundtouch-md5sum        "628ef4723f09bba19fb87d7c0af8c8b6">
+  <!ENTITY soundtouch-md5sum        "c7720a8938d11fb011af04e1ff7f1775">
   <!ENTITY soundtouch-size          "520 KB">
   <!ENTITY soundtouch-buildsize     "6.8 MB">
Index: networking/netprogs/wget.xml
===================================================================
--- networking/netprogs/wget.xml	(revision 2c1dc23635b2283df23613b87bbbbf457eece279)
+++ networking/netprogs/wget.xml	(revision 88523c51bea866ef812a0c5dc8fd69706a75f16c)
@@ -9,8 +9,8 @@
   <!ENTITY wget-download-ftp
            "&gnu-ftp;/wget/wget-&wget-version;.tar.gz">
-  <!ENTITY wget-md5sum        "b939ee54eabc6b9b0a8d5c03ace879c9">
-  <!ENTITY wget-size          "4.6 MB">
-  <!ENTITY wget-buildsize     "76 MB (with tests)">
-  <!ENTITY wget-time          "0.5 SBU (with tests)">
+  <!ENTITY wget-md5sum        "6321d4c2b820394cf2392985d8f8c563">
+  <!ENTITY wget-size          "4.8 MB">
+  <!ENTITY wget-buildsize     "63 MB (with tests)">
+  <!ENTITY wget-time          "0.6 SBU (with tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 2c1dc23635b2283df23613b87bbbbf457eece279)
+++ packages.ent	(revision 88523c51bea866ef812a0c5dc8fd69706a75f16c)
@@ -153,5 +153,5 @@
 <!ENTITY libpaper-version             "1.1.24+nmu5">
 <!ENTITY libportal-version            "0.4">
-<!ENTITY libqmi-version               "1.30.0">
+<!ENTITY libqmi-version               "1.30.2">
 <!ENTITY libseccomp-version           "2.5.1">
 <!ENTITY libsigc-version              "2.10.7">
@@ -211,5 +211,5 @@
 <!ENTITY glm-version                  "0.9.9.8">
 <!ENTITY graphite2-version            "1.3.14">
-<!ENTITY harfbuzz-version             "2.9.0">
+<!ENTITY harfbuzz-version             "2.9.1">
 <!--<!ENTITY ijs-version                  "0.35">-->
 <!ENTITY jasper-version               "2.0.33">
@@ -602,5 +602,5 @@
 <!ENTITY rsync-version                "3.2.3">
 <!ENTITY samba-version                "4.14.7">
-<!ENTITY wget-version                 "1.21.1">
+<!ENTITY wget-version                 "1.21.2">
 <!ENTITY wireless-tools-version       "29">
 <!ENTITY wpa_supplicant-version       "2.9">
@@ -1021,5 +1021,5 @@
 <!ENTITY sdl2-version                 "2.0.16">
 <!ENTITY sound-theme-freedesktop-version "0.8">
-<!ENTITY soundtouch-version           "2.3.0">
+<!ENTITY soundtouch-version           "2.3.1">
 <!ENTITY speex-version                "1.2.0">
 <!ENTITY speexdsp-version             "1.2.0">