Index: general.ent
===================================================================
--- general.ent	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
+++ general.ent	(revision 088576d61bf512139068466263f907a9b88e186a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "10">                   <!-- Always 2 digits -->
+<!ENTITY day          "11">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 10th, &year;">
+<!ENTITY releasedate  "June 11th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -852,5 +852,5 @@
 <!-- Chapter 42 -->
 <!ENTITY cups-version                 "1.7.3">
-<!ENTITY cups-filters-version         "1.0.53">
+<!ENTITY cups-filters-version         "1.0.54">
 <!ENTITY gs-version                   "9.14">
 <!ENTITY gutenprint-version           "5.2.10">
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
+++ general/prog/cmake.xml	(revision 088576d61bf512139068466263f907a9b88e186a)
@@ -125,7 +125,7 @@
       <command>bin/ctest -R "problem1-test" -E "problem2-test"</command>.
       Option -N can be used to display all available tests, and you can run
-      <command>bin/ctest</command> for a sub-set of tests by using their name
-      s or numbers, separated by spaces, as options. Option --help can be used
-      to show all options.
+      <command>bin/ctest</command> for a sub-set of tests by using separated by
+      spaces names or numbers as options. Option --help can be used to
+      show all options.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
+++ introduction/welcome/changelog.xml	(revision 088576d61bf512139068466263f907a9b88e186a)
@@ -44,4 +44,15 @@
 
 -->
+
+    <listitem>
+      <para>June 11th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - cups-filters-1.0.54. Fixes
+          <ulink url="&blfs-ticket-root;5145">#5145</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>June 10th, 2014</para>
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
+++ pst/printing/cups-filters.xml	(revision 088576d61bf512139068466263f907a9b88e186a)
@@ -8,7 +8,7 @@
   "http://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "85c605f82cddfd9990a17f1ffaf51eec">
+  <!ENTITY cups-filters-md5sum        "181ee0e6c27cfbb05e241f0267363678">
   <!ENTITY cups-filters-size          "1.3 MB">
-  <!ENTITY cups-filters-buildsize     "30 MB (additional 2 MB for the tests)">
+  <!ENTITY cups-filters-buildsize     "32 MB (additional 2 MB for the tests)">
   <!ENTITY cups-filters-time          "0.4 SBU">
 ]>
@@ -70,4 +70,14 @@
         <para>
           Estimated build time: &cups-filters-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Download</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/cups-filters-&cups-filters-version;-pdftoraster-1.patch"/>
         </para>
       </listitem>
@@ -120,5 +130,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr                               \
+<screen><userinput>patch -Np1 -i ../cups-filters-&cups-filters-version;-pdftoraster-1.patch &amp;&amp;
+./configure --prefix=/usr                               \
             --sysconfdir=/etc                           \
             --localstatedir=/var                        \