Index: general.ent
===================================================================
--- general.ent	(revision 5f23d48fc78fad900f46a2d13a793f295296fe68)
+++ general.ent	(revision 89265b096aed0cdbf651cdefce0ddd3505c91a69)
@@ -91,5 +91,5 @@
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20210110">
+<!ENTITY blfs-bootscripts-version     "20210711">
 <!ENTITY systemd-units-version        "20210122">
 
Index: general/sysutils/autofs.xml
===================================================================
--- general/sysutils/autofs.xml	(revision 5f23d48fc78fad900f46a2d13a793f295296fe68)
+++ general/sysutils/autofs.xml	(revision 89265b096aed0cdbf651cdefce0ddd3505c91a69)
@@ -133,14 +133,16 @@
     </para>
 
-<screen revision="sysv"><userinput>./configure --prefix=/         \
-            --with-libtirpc    \
-            --without-openldap \
+<screen revision="sysv"><userinput>./configure --prefix=/usr             \
+            --with-mapdir=/etc/autofs \
+            --with-libtirpc           \
+            --without-openldap        \
             --mandir=/usr/share/man &amp;&amp;
 make</userinput></screen>
 
-<screen revision="systemd"><userinput>./configure --prefix=/         \
-            --with-libtirpc    \
-            --with-systemd     \
-            --without-openldap \
+<screen revision="systemd"><userinput>./configure --prefix=/usr             \
+            --with-mapdir=/etc/autofs \
+            --with-libtirpc           \
+            --with-systemd            \
+            --without-openldap        \
             --mandir=/usr/share/man &amp;&amp;
 make</userinput></screen>
@@ -204,7 +206,7 @@
       <para>
         <filename>/etc/sysconfig/autofs.conf</filename>,
-        <filename>/etc/auto.master</filename>,
-        <filename>/etc/auto.misc</filename>, and
-        <filename>/etc/auto.net</filename>
+        <filename>/etc/autofs/auto.master</filename>,
+        <filename>/etc/autofs/auto.misc</filename>, and
+        <filename>/etc/autofs/auto.net</filename>
       </para>
 
@@ -214,13 +216,13 @@
 
       <indexterm zone="autofs autofs-config">
-        <primary sortas="e-etc-auto.master">/etc/auto.master</primary>
+        <primary sortas="e-etc-auto.master">/etc/autofs/auto.master</primary>
       </indexterm>
 
       <indexterm zone="autofs autofs-config">
-        <primary sortas="e-etc-auto.misc">/etc/auto.misc</primary>
+        <primary sortas="e-etc-auto.misc">/etc/autofs/auto.misc</primary>
       </indexterm>
 
       <indexterm zone="autofs autofs-config">
-        <primary sortas="e-etc-auto.net">/etc/auto.net</primary>
+        <primary sortas="e-etc-auto.net">/etc/autofs/auto.net</primary>
       </indexterm>
 
@@ -238,12 +240,12 @@
       </para>
 
-<screen role="root"><userinput>mv /etc/auto.master /etc/auto.master.bak &amp;&amp;
-cat &gt; /etc/auto.master &lt;&lt; "EOF"
-<literal># Begin /etc/auto.master
-
-/media/auto  /etc/auto.misc  --ghost
-#/home        /etc/auto.home
-
-# End /etc/auto.master</literal>
+<screen role="root"><userinput>mv /etc/autofs/auto.master /etc/autofs/auto.master.bak &amp;&amp;
+cat &gt; /etc/autofs/auto.master &lt;&lt; "EOF"
+<literal># Begin /etc/autofs/auto.master
+
+/media/auto  /etc/autofs/auto.misc  --ghost
+#/home        /etc/autofs/auto.home
+
+# End /etc/autofs/auto.master</literal>
 EOF</userinput></screen>
 
@@ -252,5 +254,5 @@
         <filename>/media/auto</filename> that will overlay any existing
         directory of the same name.  In this example, the file,
-        <filename>/etc/auto.misc</filename>, has a line:
+        <filename>/etc/autofs/auto.misc</filename>, has a line:
       </para>
 
@@ -324,5 +326,5 @@
         <application>autofs</application> installs its own
         boot script, but it has no capability for logging or visual conformance
-        with other BLFS scripts.
+        with other BLFS scripts. It will be replaced by an enhanced version.
       </para>
 
@@ -385,5 +387,5 @@
           mount_nfs4.so, parse_amd.so, and parse_sun.so
            </seg>
-        <seg>/lib/autofs</seg>
+        <seg>/usr/lib/autofs, /etc/autofs</seg>
       </seglistitem>
     </segmentedlist>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5f23d48fc78fad900f46a2d13a793f295296fe68)
+++ introduction/welcome/changelog.xml	(revision 89265b096aed0cdbf651cdefce0ddd3505c91a69)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[thomas] - Adapt autofs to merged-/usr changes. Partially
+          fixes <ulink url="&blfs-ticket-root;15223">#15223</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[thomas] - Update to mpg123-1.28.1. Fixes
           <ulink url="&blfs-ticket-root;15265">#15265</ulink>.</para>