Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 06a539104f90a1ec59f83593ce3460b5ca3f9bd1)
+++ introduction/welcome/changelog.xml	(revision 89464ed1a36790763ecbb991443cd083804ebb3f)
@@ -24,5 +24,5 @@
 
 <listitem><para>February 14th, 2005 [randy]: Added md5sums to Chapter 37 
-package instructions.</para></listitem>
+and 38 package instructions.</para></listitem>
 
 <listitem><para>February 13th, 2005 [randy]: Added md5sums to AbiWord, 
Index: multimedia/audioutils/cdparanoia.xml
===================================================================
--- multimedia/audioutils/cdparanoia.xml	(revision 06a539104f90a1ec59f83593ce3460b5ca3f9bd1)
+++ multimedia/audioutils/cdparanoia.xml	(revision 89464ed1a36790763ecbb991443cd083804ebb3f)
@@ -6,4 +6,5 @@
   <!ENTITY CDParanoia-download-http "http://www.xiph.org/paranoia/download/cdparanoia-III-alpha9.8.src.tgz">
   <!ENTITY CDParanoia-download-ftp  "ftp://ftp.yars.free.net/pub/software/unix/util/cd/cdparanoia-III-alpha9.8.src.tgz">
+  <!ENTITY CDParanoia-md5sum        "7218e778b5970a86c958e597f952f193">
   <!ENTITY CDParanoia-size          "114 KB">
   <!ENTITY CDParanoia-buildsize     "1.3 MB">
@@ -36,4 +37,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&CDParanoia-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &CDParanoia-md5sum;</para></listitem>
 <listitem><para>Download size: &CDParanoia-size;</para></listitem>
 <listitem><para>Estimated disk space required:
@@ -45,9 +47,8 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
+<listitem><para>Required Patch: <ulink 
 url="&patch-root;/cdparanoia-III-alpha9.8-includes-1.patch"/></para>
 </listitem>
-<listitem><para>Required Patch (if compiled using 
-<application>GCC</application>-3.4.x): <ulink
+<listitem><para>Required Patch: <ulink 
 url="&patch-root;/cdparanoia-III-alpha9.8-gcc34-1.patch"/></para>
 </listitem></itemizedlist>
@@ -78,9 +79,4 @@
 
 <sect3><title>Configuration Information</title>
-
-<!-- <para><application>CDParanoia</application> needs little configuration; 
-information can be found from the <command>cdparanoia</command> man page.
-</para> -->
-
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/> 
 </sect3>
Index: multimedia/audioutils/lame.xml
===================================================================
--- multimedia/audioutils/lame.xml	(revision 06a539104f90a1ec59f83593ce3460b5ca3f9bd1)
+++ multimedia/audioutils/lame.xml	(revision 89464ed1a36790763ecbb991443cd083804ebb3f)
@@ -6,4 +6,5 @@
   <!ENTITY lame-download-http "http://prdownloads.sourceforge.net/lame/lame-&lame-version;.tar.gz">
   <!ENTITY lame-download-ftp  " ">
+  <!ENTITY lame-md5sum        "e1206c46a5e276feca11a7149e2fc6ac">
   <!ENTITY lame-size          "1.3 MB">
   <!ENTITY lame-buildsize     "15 MB">
@@ -36,4 +37,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&lame-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &lame-md5sum;</para></listitem>
 <listitem><para>Download size: &lame-size;</para></listitem>
 <listitem><para>Estimated disk space required:
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision 06a539104f90a1ec59f83593ce3460b5ca3f9bd1)
+++ multimedia/audioutils/mpg123.xml	(revision 89464ed1a36790763ecbb991443cd083804ebb3f)
@@ -6,4 +6,5 @@
   <!ENTITY mpg123-download-http "http://www.mpg123.de/mpg123/mpg123-&mpg123-version;.tar.gz">
   <!ENTITY mpg123-download-ftp  "ftp://alge.anart.no/pub/audio/mpg123-&mpg123-version;.tar.gz">
+  <!ENTITY mpg123-md5sum        "95df59ad1651dd2346d49fafc83747e7">
   <!ENTITY mpg123-size          "155 KB">
   <!ENTITY mpg123-buildsize     "1.3 MB">
@@ -34,4 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&mpg123-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &mpg123-md5sum;</para></listitem>
 <listitem><para>Download size: &mpg123-size;</para></listitem>
 <listitem><para>Estimated disk space required:
@@ -43,5 +45,6 @@
 <sect3><title><application>mpg123</application> dependencies</title>
 <sect4><title>Required</title>
-<para><acronym>OSS</acronym> or <xref linkend="alsa-oss"/></para></sect4>
+<para><acronym>OSS</acronym> or <xref linkend="alsa-oss"/></para>
+</sect4>
 </sect3>
 
Index: multimedia/audioutils/vorbistools.xml
===================================================================
--- multimedia/audioutils/vorbistools.xml	(revision 06a539104f90a1ec59f83593ce3460b5ca3f9bd1)
+++ multimedia/audioutils/vorbistools.xml	(revision 89464ed1a36790763ecbb991443cd083804ebb3f)
@@ -6,4 +6,5 @@
   <!ENTITY vorbistools-download-http "http://www.vorbis.com/files/1.0.1/unix/vorbis-tools-&vorbistools-version;.tar.gz">
   <!ENTITY vorbistools-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/vorbis-tools-&vorbistools-version;.tar.gz">
+  <!ENTITY vorbistools-md5sum        "80d3ae3bbae2a488d433d86b8fd64777">
   <!ENTITY vorbistools-size          "701 KB">
   <!ENTITY vorbistools-buildsize     "5.3 MB">
@@ -34,4 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&vorbistools-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &vorbistools-md5sum;</para></listitem>
 <listitem><para>Download size: &vorbistools-size;</para></listitem>
 <listitem><para>Estimated disk space required:
Index: multimedia/audioutils/xmms.xml
===================================================================
--- multimedia/audioutils/xmms.xml	(revision 06a539104f90a1ec59f83593ce3460b5ca3f9bd1)
+++ multimedia/audioutils/xmms.xml	(revision 89464ed1a36790763ecbb991443cd083804ebb3f)
@@ -6,4 +6,5 @@
   <!ENTITY XMMS-download-http "http://www.xmms.org/files/1.2.x/xmms-&XMMS-version;.tar.bz2">
   <!ENTITY XMMS-download-ftp  " ">
+  <!ENTITY XMMS-md5sum        "03a85cfc5e1877a2e1f7be4fa1d3f63c">
   <!ENTITY XMMS-size          "2.4 MB">
   <!ENTITY XMMS-buildsize     "55 MB">
@@ -34,4 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&XMMS-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &XMMS-md5sum;</para></listitem>
 <listitem><para>Download size: &XMMS-size;</para></listitem>
 <listitem><para>Estimated disk space required: