Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision 76a07db76c72edf2adf979c6ccd65b0b550cb8fe)
+++ multimedia/audioutils/audacious.xml	(revision 89488b452331c6b8d8b678f5cecd3dcd94786e76)
@@ -79,5 +79,6 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="gtk2"/> and
+    <para role="required"><xref linkend="gtk3"/> or <xref linkend="gtk2"/> (if
+    both are installed it defaults to using <xref linkend="gtk3"/>) and
     <xref linkend="libmowgli"/></para>
 
@@ -118,5 +119,4 @@
     <ulink url="http://sourceforge.net/projects/bs2b/">The Bauer
     stereophonic-to-binaural DSP (bs2b) library</ulink>,
-    <!-- <ulink url=""></ulink>, -->
     <ulink url="http://sourceforge.net/projects/libbinio/">libbinio</ulink>
     and <ulink url="http://www.wavpack.com/">WavPack</ulink>.</para>
Index: x/lib/gtk+2.xml
===================================================================
--- x/lib/gtk+2.xml	(revision 76a07db76c72edf2adf979c6ccd65b0b550cb8fe)
+++ x/lib/gtk+2.xml	(revision 89488b452331c6b8d8b678f5cecd3dcd94786e76)
@@ -13,5 +13,5 @@
 ]>
 
-<sect1 id="gtk2" xreflabel="GTK+-&gtk2-version;">
+<sect1 id="gtk2" xreflabel="gtk+-&gtk2-version;">
   <?dbhtml filename="gtk2.html" ?>
 
@@ -21,15 +21,15 @@
   </sect1info>
 
-  <title>GTK+-&gtk2-version;</title>
+  <title>gtk+-&gtk2-version;</title>
 
   <indexterm zone="gtk2">
-    <primary sortas="a-GTK2">GTK2</primary>
+    <primary sortas="a-gtk2">gtk2</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to GTK+</title>
-
-    <para>The <application>GTK+</application> package contains
-    <application>GTK+</application> libraries. These are useful
+    <title>Introduction to gtk+-2</title>
+
+    <para>The <application>gtk+-2</application> package contains
+    <application>gtk+-2</application> libraries. These are useful
     for creating graphical user interfaces for applications.</para>
 
@@ -58,5 +58,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">GTK+ Dependencies</bridgehead>
+    <bridgehead renderas="sect3">gtk+-2 Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -89,7 +89,7 @@
 
   <sect2 role="installation">
-    <title>Installation of GTK+-2</title>
-
-    <para>Install <application>GTK+-2</application> by running
+    <title>Installation of gtk+-2</title>
+
+    <para>Install <application>gtk+-2</application> by running
     the following commands:</para>
 
@@ -164,5 +164,5 @@
 
   <sect2 role="configuration">
-    <title>Configuring GTK+-2</title>
+    <title>Configuring gtk+-2</title>
 
     <sect3 id="gtk2-config">
@@ -209,5 +209,5 @@
       <para>
       <ulink url="http://sourceforge.net/projects/lxde/files/LXAppearance/">
-      LXAppearance</ulink> is a GTK+-2 application that can help you choose the
+      LXAppearance</ulink> is a gtk+-2 application that can help you choose the
       themes you like.</para>
 
@@ -263,5 +263,5 @@
         <term><command>gtk-demo</command></term>
         <listitem>
-          <para>demonstrates <application>GTK+</application> functionality and
+          <para>demonstrates <application>gtk+-2</application> functionality and
           provides code for the examples.</para>
           <indexterm zone="gtk2 gtk-demo">
@@ -276,5 +276,5 @@
         <listitem>
           <para>collects information about loadable input method modules for
-          <application>GTK+</application> and writes it to standard output.</para>
+          <application>gtk+-2</application> and writes it to standard output.</para>
           <indexterm zone="gtk2 gtk-query-immodules-2.0">
             <primary
@@ -294,10 +294,10 @@
       </varlistentry>
 
-      <varlistentry id="GTK2libs">
-        <term>GTK+ Libraries</term>
+      <varlistentry id="gtk2libs">
+        <term>gtk+-2 Libraries</term>
         <listitem>
           <para>provide an API to implement graphical user interfaces.</para>
-          <indexterm zone="gtk2 GTK2libs">
-            <primary sortas="c-GTK2libs">GTK+ Libraries</primary>
+          <indexterm zone="gtk2 gtk2libs">
+            <primary sortas="c-gtk2libs">gtk+-2 Libraries</primary>
           </indexterm>
         </listitem>
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 76a07db76c72edf2adf979c6ccd65b0b550cb8fe)
+++ x/lib/gtk+3.xml	(revision 89488b452331c6b8d8b678f5cecd3dcd94786e76)
@@ -13,5 +13,5 @@
 ]>
 
-<sect1 id="gtk3" xreflabel="gtk3-&gtk3-version;">
+<sect1 id="gtk3" xreflabel="gtk+-&gtk3-version;">
   <?dbhtml filename="gtk3.html"?>
 
@@ -21,8 +21,8 @@
   </sect1info>
 
-  <title>gtk3-&gtk3-version;</title>
+  <title>gtk+-&gtk3-version;</title>
 
   <indexterm zone="gtk3">
-    <primary sortas="a-gtk3">gtk3</primary>
+    <primary sortas="a-gtk3">gtk+-3</primary>
   </indexterm>
 
@@ -58,5 +58,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">gtk3 Dependencies</bridgehead>
+    <bridgehead renderas="sect3">gtk+-3 Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -80,7 +80,7 @@
 
   <sect2 role="installation">
-    <title>Installation of gtk3</title>
-
-    <para>Install <application>gtk3</application> by running the following
+    <title>Installation of gtk+-3</title>
+
+    <para>Install <application>gtk+-3</application> by running the following
     commands:</para>
 