Index: general.ent
===================================================================
--- general.ent	(revision 0d9bfe7837a564feb732dd56a0504dd99daeb6ae)
+++ general.ent	(revision 90691c2361e797af9c76376c7a1c3b2b3580922c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "12">                   <!-- Always 2 digits -->
+<!ENTITY day          "13">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 12th, &year;">
+<!ENTITY releasedate  "November 13th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/raptor.xml
===================================================================
--- general/sysutils/raptor.xml	(revision 0d9bfe7837a564feb732dd56a0504dd99daeb6ae)
+++ general/sysutils/raptor.xml	(revision 90691c2361e797af9c76376c7a1c3b2b3580922c)
@@ -72,4 +72,14 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/raptor-&raptor-version;-security_fixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Raptor Dependencies</bridgehead>
 
@@ -94,4 +104,10 @@
   <sect2 role="installation">
     <title>Installation of Raptor</title>
+
+    <para>
+      First, apply a patch that fixes a couple of security issues:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../raptor-&raptor-version;-security_fixes-1.patch</userinput></screen>
 
     <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0d9bfe7837a564feb732dd56a0504dd99daeb6ae)
+++ introduction/welcome/changelog.xml	(revision 90691c2361e797af9c76376c7a1c3b2b3580922c)
@@ -43,4 +43,18 @@
     -->
     <listitem>
+      <para>November 13th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Add a security patch to fix issues in raptor. Fixes
+          <ulink url="&blfs-ticket-root;14243">#14243</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gpgme-1.15.0. Fixes
+          <ulink url="&blfs-ticket-root;14242">#14242</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 12th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 0d9bfe7837a564feb732dd56a0504dd99daeb6ae)
+++ packages.ent	(revision 90691c2361e797af9c76376c7a1c3b2b3580922c)
@@ -14,5 +14,5 @@
 <!ENTITY firewalld-version            "0.8.1">
 <!ENTITY gnutls-version               "3.6.15">
-<!ENTITY gpgme-version                "1.14.0">
+<!ENTITY gpgme-version                "1.15.0">
 <!ENTITY haveged-version              "1.9.13">
 <!ENTITY iptables-version             "1.8.6">
Index: postlfs/security/gpgme.xml
===================================================================
--- postlfs/security/gpgme.xml	(revision 0d9bfe7837a564feb732dd56a0504dd99daeb6ae)
+++ postlfs/security/gpgme.xml	(revision 90691c2361e797af9c76376c7a1c3b2b3580922c)
@@ -8,8 +8,8 @@
   <!ENTITY gpgme-download-ftp  "&gnupg-ftp;/gpgme/gpgme-&gpgme-version;.tar.bz2">
   <!ENTITY gpgme-download-ftp  " ">
-  <!ENTITY gpgme-md5sum        "e1be12b1aeabdf24a0b663c3c42747ac">
+  <!ENTITY gpgme-md5sum        "32298e5ccd458f96b25ce7ae8e30780c">
   <!ENTITY gpgme-size          "1.6 MB">
-  <!ENTITY gpgme-buildsize     "131 MB">
-  <!ENTITY gpgme-time          "0.3 SBU (with parallelism=4; with all bindings, add 0.5 SBU for tests)">
+  <!ENTITY gpgme-buildsize     "256 MB">
+  <!ENTITY gpgme-time          "1.0 SBU (with parallelism=4; with all bindings, add 1.0 SBU for tests)">
 ]>
 
@@ -156,5 +156,5 @@
           /usr/include/{gpgme++,qgpgme,QGpgME},
           /usr/lib/cmake/{Gpgmepp,QGpgme}.
-          /usr/lib/python{2.7,3.7}/site-packages/gpg, and
+          /usr/lib/python{2.7,3.9}/site-packages/gpg, and
           /usr/share/common-lisp/source/gpgme
         </seg>