Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/audioutils/audacious.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -182,11 +182,10 @@
 cd    build &amp;&amp;
 
-meson setup           \
-  --prefix=/usr       \
-  --buildtype=release \
-  -Dgtk3=true         \
-  -Dbuildstamp=BLFS   \
-  -Dlibarchive=true   \
-  ..                  &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dgtk3=true         \
+            -Dbuildstamp=BLFS   \
+            -Dlibarchive=true   \
+            ..                  &amp;&amp;
 
 ninja</userinput></screen>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gst10-libav.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -103,5 +103,6 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
+meson  setup ..            \
+       --prefix=/usr       \
        --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/&blfs-version;/ \
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -190,5 +190,6 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
+meson  setup ..            \
+       --prefix=/usr       \
        --buildtype=release \
        -Dgpl=enabled       \
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -137,9 +137,10 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
-       --buildtype=release \
+meson  setup ..               \
+       --prefix=/usr          \
+       --buildtype=release    \
+       --wrap-mode=nodownload \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/&blfs-version;/ \
-       -Dpackage-name="GStreamer &gst10-plugins-base-version; BLFS"    \
-       --wrap-mode=nodownload &amp;&amp;
+       -Dpackage-name="GStreamer &gst10-plugins-base-version; BLFS"    &amp;&amp;
 ninja</userinput></screen>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -153,8 +153,9 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
-       --buildtype=release \
-       -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/&blfs-version;/ \
-       -Dpackage-name="GStreamer &gst10-plugins-good-version; BLFS" &amp;&amp;
+meson setup ..            \
+      --prefix=/usr       \
+      --buildtype=release \
+      -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/&blfs-version;/ \
+      -Dpackage-name="GStreamer &gst10-plugins-good-version; BLFS" &amp;&amp;
 ninja</userinput></screen>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -123,5 +123,6 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
+meson  setup ..            \
+       --prefix=/usr       \
        --buildtype=release \
        -Dgpl=enabled       \
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -110,11 +110,12 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
-       --buildtype=release \
-       -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/&blfs-version;/ &amp;&amp;
+meson setup ..            \
+      --prefix=/usr       \
+      --buildtype=release \
+      -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/&blfs-version;/ &amp;&amp;
 ninja</userinput></screen>
 
     <para>
-      This package does not come with a vi working test suite.
+      This package does not come with a working test suite.
     </para>
 
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/gstreamer10.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -126,5 +126,6 @@
 cd    build &amp;&amp;
 
-meson  --prefix=/usr       \
+meson  setup ..            \
+       --prefix=/usr       \
        --buildtype=release \
        -Dgst_debug=false   \
Index: multimedia/libdriv/pipewire.xml
===================================================================
--- multimedia/libdriv/pipewire.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/pipewire.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -125,5 +125,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dsession-managers= .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dsession-managers= \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision 912b324bfe2013feac4d62e20300fe04ca8d40f4)
+++ multimedia/libdriv/pulseaudio.xml	(revision 91318eb9aa6581a04bd34cf9b833d0429842d73e)
@@ -129,29 +129,14 @@
       commands:
     </para>
-<!--
-<screen revision="sysv"><userinput>./configure - -prefix=/usr                \
-            - -sysconfdir=/etc            \
-            - -localstatedir=/var         \
-            - -disable-bluez5             \
-            - -disable-rpath              \
-            - -with-systemduserunitdir=no &amp;&amp;
-make</userinput></screen>
-
-<screen revision="systemd"><userinput>./configure - -prefix=/usr        \
-            - -sysconfdir=/etc    \
-            - -localstatedir=/var \
-            - -disable-bluez5     \
-            - -disable-rpath      &amp;&amp;
-make</userinput></screen>
--->
 
 <screen><userinput>mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
-meson --prefix=/usr       \
-      --buildtype=release \
-      -Ddatabase=gdbm     \
-      -Ddoxygen=false     \
-      -Dbluez5=disabled   &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Ddatabase=gdbm     \
+            -Ddoxygen=false     \
+            -Dbluez5=disabled   \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 