Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fd3a87f4475f26b1edcdaf3014e4bc9363021be8)
+++ introduction/welcome/changelog.xml	(revision 91694fac6ae960441c4e16580e76097d3dc2dd8a)
@@ -46,4 +46,20 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to webkitgtk-2.20.1.  Fixes
+          <ulink url="&blfs-ticket-root;10654">#10654</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to epiphany-3.28.1.  Fixes
+          <ulink url="&blfs-ticket-root;10655">#10655</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to QScintilla_gpl-2.10.4.  Fixes
+          <ulink url="&blfs-ticket-root;10653">#10653</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sqlite-autoconf-3.23.1.  Fixes
+          <ulink url="&blfs-ticket-root;10652">#10652</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to parole-1.0.1.  Fixes
           <ulink url="&blfs-ticket-root;10657">#10657</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision fd3a87f4475f26b1edcdaf3014e4bc9363021be8)
+++ packages.ent	(revision 91694fac6ae960441c4e16580e76097d3dc2dd8a)
@@ -514,5 +514,5 @@
 <!ENTITY mariadb-version              "10.2.14">
 <!ENTITY postgresql-version           "10.3">
-<!ENTITY sqlite-version               "3.23.0">
+<!ENTITY sqlite-version               "3.23.1">
 
 <!-- Chapter 23 -->
@@ -584,8 +584,8 @@
 <!ENTITY qtwebengine-version          "5.10.1">
 <!ENTITY qtwebkit-version             "5.9.0">
-<!ENTITY qscintilla-version           "2.10.3">
+<!ENTITY qscintilla-version           "2.10.4">
 <!ENTITY shared-mime-info-version     "1.9">
 <!ENTITY startup-notification-version "0.12">
-<!ENTITY webkitgtk-version            "2.20.0">    <!-- Even minors only -->
+<!ENTITY webkitgtk-version            "2.20.1">    <!-- Even minors only -->
 
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
@@ -732,5 +732,5 @@
 <!-- Chapter 43 -->
 <!ENTITY chromium-version             "64.0.3282.186">
-<!ENTITY epiphany-version             "3.28.0.1">
+<!ENTITY epiphany-version             "3.28.1">
 <!ENTITY firefox-version              "59.0.2">
 <!ENTITY flashplayer-version          "27.0.0.187">
Index: server/databases/sqlite.xml
===================================================================
--- server/databases/sqlite.xml	(revision fd3a87f4475f26b1edcdaf3014e4bc9363021be8)
+++ server/databases/sqlite.xml	(revision 91694fac6ae960441c4e16580e76097d3dc2dd8a)
@@ -12,11 +12,11 @@
   <!ENTITY sqlite-download-http "https://sqlite.org/2018/sqlite-autoconf-&sqlite-dl-version;.tar.gz">
   <!ENTITY sqlite-download-ftp  " ">
-  <!ENTITY sqlite-md5sum        "6a26a122a18bcd1a6a1c18b4bad64498">
-  <!ENTITY sqlite-size          "2.5 MB">
+  <!ENTITY sqlite-md5sum        "99a51b40a66872872a91c92f6d0134fa">
+  <!ENTITY sqlite-size          "2.6 MB">
   <!ENTITY sqlite-buildsize     "62 MB">
   <!ENTITY sqlite-time          "0.5 SBU">
 
   <!ENTITY sqlite-docs-download "https://sqlite.org/2018/sqlite-doc-&sqlite-doc-version;.zip">
-  <!ENTITY sqlite-docs-md5sum   "151a7e9f4369287329a47d5ec14e1755">
+  <!ENTITY sqlite-docs-md5sum   "e47e8c64f6d9089a5ff7055e3bbb870a">
   <!ENTITY sqlite-docs-size     "8.5 MB">
 ]>
Index: x/lib/qscintilla.xml
===================================================================
--- x/lib/qscintilla.xml	(revision fd3a87f4475f26b1edcdaf3014e4bc9363021be8)
+++ x/lib/qscintilla.xml	(revision 91694fac6ae960441c4e16580e76097d3dc2dd8a)
@@ -7,7 +7,7 @@
   <!ENTITY qscintilla-download-http "&sourceforge-dl;/pyqt/QScintilla_gpl-&qscintilla-version;.tar.gz">
   <!ENTITY qscintilla-download-ftp  " ">
-  <!ENTITY qscintilla-md5sum        "86460dea0fb3cf94e12844dabd5b979b">
+  <!ENTITY qscintilla-md5sum        "48ef316ff1e2a4d45a65d42be146ca39">
   <!ENTITY qscintilla-size          "2.6 MB">
-  <!ENTITY qscintilla-buildsize     "41 MB (with documentation)">
+  <!ENTITY qscintilla-buildsize     "28 MB (with documentation)">
   <!ENTITY qscintilla-time          "0.4 SBU (using parallelism=4; with documentation)">
 ]>
Index: x/lib/webkitgtk.xml
===================================================================
--- x/lib/webkitgtk.xml	(revision fd3a87f4475f26b1edcdaf3014e4bc9363021be8)
+++ x/lib/webkitgtk.xml	(revision 91694fac6ae960441c4e16580e76097d3dc2dd8a)
@@ -7,8 +7,8 @@
   <!ENTITY webkitgtk-download-http "https://webkitgtk.org/releases/webkitgtk-&webkitgtk-version;.tar.xz">
   <!ENTITY webkitgtk-download-ftp  " ">
-  <!ENTITY webkitgtk-md5sum        "51cc47345c3ec53802718cd6fc9b746f">
+  <!ENTITY webkitgtk-md5sum        "0cd9b9ae1f48c04de5314f77806eceb4">
   <!ENTITY webkitgtk-size          "16 MB">
-  <!ENTITY webkitgtk-buildsize     "827 MB (126 MB installed)">
-  <!ENTITY webkitgtk-time          "21 SBU (using parallelism=4, estimated 80 SBUs using one core)">
+  <!ENTITY webkitgtk-buildsize     "825 MB (128 MB installed)">
+  <!ENTITY webkitgtk-time          "22 SBU (using parallelism=4, estimated 80 SBUs using one core)">
 ]>
 
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision fd3a87f4475f26b1edcdaf3014e4bc9363021be8)
+++ xsoft/graphweb/epiphany.xml	(revision 91694fac6ae960441c4e16580e76097d3dc2dd8a)
@@ -9,8 +9,8 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-28;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "3e127d843d3f255f426ab34804f29163">
+  <!ENTITY epiphany-md5sum        "681bc22497d2eed463f9116946581a1f">
   <!ENTITY epiphany-size          "4.3 MB">
   <!ENTITY epiphany-buildsize     "44 MB"> 
-  <!ENTITY epiphany-time          "0.3 SBU (with parallelism=4)"> 
+  <!ENTITY epiphany-time          "0.2 SBU (with parallelism=4)"> 
 ]>
 