Index: xincludes/gnome-mandir.xml
===================================================================
--- xincludes/gnome-mandir.xml	(revision f419c730ed87a0d17aabe4bab52f4ed19139bc77)
+++ xincludes/gnome-mandir.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
@@ -9,8 +9,10 @@
          $Date$ -->
 
-    <para><parameter>--mandir=$(pkg-config --variable=prefix
-    ORBit-2.0)/share/man</parameter>: This parameter causes the
-    <filename>man.(X)</filename> files to be installed in
-    <filename class="directory">$GNOME_PREFIX/share/man/man(X)</filename>
-    instead of
-    <filename class="directory">$GNOME_PREFIX/man/man(X)</filename>.</para>
+    <!-- FIXME:ken - any use is probably no longer required, everything so far
+    that I've looked at actually goes into prefix/share/man - but I haven't built
+    them all, so far -->
+    <para><parameter>--mandir=<envar>$GNOME_PREFIX</envar>/share/man</parameter>:
+    This parameter causes the <filename>man.(X)</filename> files to be installed
+    in <filename class="directory">$GNOME_PREFIX/share/man/man(X)</filename>
+    instead of <filename
+    class="directory">$GNOME_PREFIX/man/man(X)</filename>.</para>
Index: xincludes/gnome-old-sysconfdir.xml
===================================================================
--- xincludes/gnome-old-sysconfdir.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
+++ xincludes/gnome-old-sysconfdir.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+    <!-- $LastChangedBy: randy $
+         $Date: 2007-04-04 20:42:53 +0100 (Wed, 04 Apr 2007) $ -->
+
+    <para><parameter>--sysconfdir=<envar>&gnome-etc-dir;</envar></parameter>:
+    This parameter causes the configuration files to be installed in
+    <filename class="directory">/etc/gnome/2.30.2</filename> instead of
+    <filename class="directory">$GNOME_PREFIX/etc</filename>.  You may
+    prefer to use a simpler value such as
+    <filename class="directory">/etc/gnome</filename> or even
+    <filename class="directory">/etc</filename>.</para>
Index: xincludes/gnome-prefix.xml
===================================================================
--- xincludes/gnome-prefix.xml	(revision f419c730ed87a0d17aabe4bab52f4ed19139bc77)
+++ xincludes/gnome-prefix.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
@@ -6,7 +6,6 @@
          $Date$ -->
 
-    <para><parameter>--prefix=$(pkg-config --variable=prefix
-    ORBit-2.0)</parameter>: Setting the prefix using this parameter instead of
-    with <envar>$GNOME_PREFIX</envar> will ensure that the prefix is
-    consistent with the installation environment and the package will be
-    installed in the correct location.</para>
+    <para><parameter>--prefix=<envar>$GNOME_PREFIX</envar></parameter>: Setting
+    the prefix using this parameter will ensure that the prefix is consistent
+    with the installation environment and the package will be installed in the
+    correct location.</para>
Index: xincludes/gnome-sysconfdir.xml
===================================================================
--- xincludes/gnome-sysconfdir.xml	(revision f419c730ed87a0d17aabe4bab52f4ed19139bc77)
+++ xincludes/gnome-sysconfdir.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
@@ -9,8 +9,6 @@
          $Date$ -->
 
-    <para><parameter>--sysconfdir=&gnome-etc-dir;</parameter>: This parameter
-    causes the configuration files to be installed in
-    <filename class="directory">&gnome-etc-dir;</filename> instead of
-    <filename class="directory">$GNOME_PREFIX/etc</filename>. Additionally
-    (if applicable), the parameter ensures that the
-    <application>GConf</application>-2 database is correctly updated.</para>
+    <para><parameter>--sysconfdir=<envar>$GNOME_SYSCONFDIR</envar></parameter>:
+    Setting the sysconfdir using this parameter will ensure that the sysconfdir
+    is consistent with the installation environment and the package will be
+    installed in the correct location.</para>
Index: xincludes/gnome2.xml
===================================================================
--- xincludes/gnome2.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
+++ xincludes/gnome2.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
+
+    <!-- $LastChangedBy$
+         $Date$ -->
+
+
+<note>
+<para>This is a legacy <application>GNOME-2</application> package which has
+been deprecated by the <application>GNOME</application> developers and will
+be removed from the book in due course.  Please ensure that you really want
+or need it before you build it.</para>
+</note>
Index: xincludes/without-gnome.xml
===================================================================
--- xincludes/without-gnome.xml	(revision f419c730ed87a0d17aabe4bab52f4ed19139bc77)
+++ xincludes/without-gnome.xml	(revision 91953bc058cb0a138b5c7e4b056267add23c59d5)
@@ -7,9 +7,10 @@
 
 <note>
-  <para>The instructions below are based on installing the package into a
-  GNOME-2 environment. If, for whatever reason, you're installing this package
-  without having <application>ORBit2</application> and the core GNOME-2
-  libraries installed, you'll need to modify the <option>--prefix=</option>
-  parameter on the <command>configure</command> script to point to your desired
-  installation path (e.g., <option>--prefix=/usr</option>).</para>
+    <para>The instructions below are based on installing the package into a
+    <application>GNOME</application> environment. If, for whatever reason,
+    you're installing this package without having the core
+    <application>GNOME</application> libraries installed, you'll need to modify
+    the <option>--prefix=</option> parameter on the <command>configure</command>
+    script to point to your desired installation path (e.g.,
+    <option>--prefix=/usr</option>).</para>
 </note>