Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8e4c9896478af50776143c681aa285358041e27d)
+++ introduction/welcome/changelog.xml	(revision 92503bcbf660310b2aeef4d68ed8bc39742add80)
@@ -45,4 +45,8 @@
       <para>June 19th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gtk+-3.24.9. Fixes
+          <ulink url="&blfs-ticket-root;12171">#12171</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update to firefox-67.0.3 (Security Fix, and also
Index: packages.ent
===================================================================
--- packages.ent	(revision 8e4c9896478af50776143c681aa285358041e27d)
+++ packages.ent	(revision 92503bcbf660310b2aeef4d68ed8bc39742add80)
@@ -691,5 +691,5 @@
 <!ENTITY goffice010-version           "0.10.44">
 <!ENTITY gtk2-version                 "2.24.32">
-<!ENTITY gtk3-version                 "3.24.8">
+<!ENTITY gtk3-version                 "3.24.9">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 8e4c9896478af50776143c681aa285358041e27d)
+++ x/lib/gtk+3.xml	(revision 92503bcbf660310b2aeef4d68ed8bc39742add80)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "eeedde01856238114dcf4df3ebc942a5">
-  <!ENTITY gtk3-size          "21 MB">
-  <!ENTITY gtk3-buildsize     "471 MB (including tests)">
-  <!ENTITY gtk3-time          "1.8 SBU (using parallelism=4, add 0.3 SBU for tests)">
+  <!ENTITY gtk3-md5sum        "7b20f3aa3b36214150ea7a12d6bc384b">
+  <!ENTITY gtk3-size          "20 MB">
+  <!ENTITY gtk3-buildsize     "556 MB (including tests)">
+  <!ENTITY gtk3-time          "1.3 SBU (using parallelism=4, add 0.1 SBU for tests)">
 ]>
 
@@ -92,4 +92,5 @@
       <xref linkend="iso-codes"/>,
       <xref linkend="libxkbcommon"/>,
+      <xref linkend="sassc"/>,
       <xref linkend="wayland"/>, and
       <xref linkend="wayland-protocols"/>
@@ -129,17 +130,12 @@
   <sect2 role="installation">
     <title>Installation of GTK+ 3</title>
-<!--
-    <note>
-      <para>
-        <application>GTK+ 3</application> will overwrite
-        <command>gtk-update-icon-cache</command> from <xref linkend="gtk2"/> if
-        it is installed.  There is nothing wrong about that assuming that both
-        programs provide same functionality.  If you wish to keep one from
-        <application>GTK+ 2</application> you can add
-        <option>- -enable-gtk2-dependency</option> to the
-        <command>configure</command> command.
-      </para>
-    </note>
--->
+
+    <!-- This is due to the meson transition -->
+    <caution>
+      <para>If you are upgrading from a version of GTK+3 prior to 3.24.9,
+      you must run the <filename>remove-la-files.sh</filename> script from
+      <xref linkend="la-files"/> after installing GTK+.</para>
+    </caution>
+
     <para>
       Install <application>GTK+ 3</application> by running the following
@@ -147,10 +143,14 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr             \
-            --sysconfdir=/etc         \
-            --enable-broadway-backend \
-            --enable-x11-backend      \
-            --enable-wayland-backend &amp;&amp;
-make</userinput></screen>
+<!-- The build directory already exists since this package allows both Autotools
+     and Meson to be used 
+     This may have to be changed in a few versions, or when GTK4 comes out.-->
+<screen><userinput>cd build &amp;&amp;
+meson --prefix=/usr     \
+      -Dcolord=yes      \
+      -Dgtk_doc=false   \
+      -Dman=true        \
+      -Dbroadway_backend=true .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
@@ -165,9 +165,10 @@
     <para>
       To test the results you need a graphical session, then issue
-      <command>make -k check</command>. There are several tests that 
+      <command>ninja test</command>. <!--There are several tests that 
       have subtests that are known to fail: scrolledwindow, treeview,
       accessibility-dump, test-css-nodes, and gtk-reftest.
       Additionally many tests will fail if the current 
-      gtk theme (such as current XFCE themes) has deprecated elements.
+      gtk theme (such as current XFCE themes) has deprecated elements.-->
+      9 tests are known to fail in the a11y suite and gtk/object suite.
     </para>
 
@@ -176,5 +177,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+    <screen role="root"><userinput>ninja install</userinput></screen>
 
     <note>
@@ -197,17 +198,18 @@
 
     <para>
-      <parameter>--enable-broadway-backend</parameter>: This switch enables the
+      <parameter>-Dbroadway_backend=true</parameter>: This switch enables the
       HTML5 GTK backend.
     </para>
-
-    <para>
-      <parameter>--enable-x11-backend</parameter>: This switch enables the X11 
+    <!--
+    <para>
+      <parameter>- -enable-x11-backend</parameter>: This switch enables the X11 
       GDK backend.
     </para>
-
-    <para>
-      <parameter>--enable-wayland-backend</parameter>: This switch
+    -->
+    <!--
+    <para>
+      <parameter>- -enable-wayland-backend</parameter>: This switch
       enables the Wayland GDK backend. Replace with
-      <option>--disable-wayland-backend</option> if you do not have
+      <option>- -disable-wayland-backend</option> if you do not have
       <xref linkend="wayland"/> and <xref linkend="wayland-protocols"/>
       or you do not wish to build <application>GNOME</application> with Wayland
@@ -218,7 +220,24 @@
       installation.
     </para>
-
+    -->
+    <!--
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/gtk-doc-rebuild.xml"/>
+    -->
+    <para>
+      <parameter>-Dcolord=yes</parameter>: This switch allows color support
+      in the GTK+ printing backend.
+    </para>
+
+    <para>
+      <parameter>-Dman=true</parameter>: This switch allows generating
+      manual pages.
+    </para>
+
+    <para>
+      <parameter>-Dgtk_doc=false</parameter>: This switch disables building
+      documentation. Replace with -Dgtk_doc=true if you have
+      <xref linkend="gtk-doc"/> installed and wish to generate documentation.
+    </para>
 
   </sect2>