Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision edd70f1428afd85eb0b76934ee03f2c58faf1a69)
+++ multimedia/libdriv/libdriv.xml	(revision 92963e5bf470f399c2e967930207154dc0ffa218)
@@ -71,4 +71,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sbc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sdl.xml"/>
+
+  <!-- systemd only -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sound-theme-freedesktop.xml"/>
+
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="soundtouch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="speex.xml"/>
Index: multimedia/libdriv/sound-theme-freedesktop.xml
===================================================================
--- multimedia/libdriv/sound-theme-freedesktop.xml	(revision 92963e5bf470f399c2e967930207154dc0ffa218)
+++ multimedia/libdriv/sound-theme-freedesktop.xml	(revision 92963e5bf470f399c2e967930207154dc0ffa218)
@@ -0,0 +1,125 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY sound-theme-freedesktop-download-http
+           "http://people.freedesktop.org/~mccann/dist/sound-theme-freedesktop-&sound-theme-freedesktop-version;.tar.bz2">
+  <!ENTITY sound-theme-freedesktop-download-ftp  " ">
+  <!ENTITY sound-theme-freedesktop-md5sum        "7bcad4fa54570f80c612012bce66f60f">
+  <!ENTITY sound-theme-freedesktop-size          "472 KB">
+  <!ENTITY sound-theme-freedesktop-buildsize     "2 MB">
+  <!ENTITY sound-theme-freedesktop-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="sound-theme-freedesktop" xreflabel="sound-theme-freedesktop-&sound-theme-freedesktop-version;" revision="systemd">
+  <?dbhtml filename="sound-theme-freedesktop.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>sound-theme-freedesktop-&sound-theme-freedesktop-version;</title>
+
+  <indexterm zone="sound-theme-freedesktop">
+    <primary sortas="a-sound-theme-freedesktop">sound-theme-freedesktop</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Sound Theme Freedesktop</title>
+
+    <para>
+      The <application>Sound Theme Freedesktop</application> package
+      contains sound themes for the desktop.
+    </para>
+
+    <!-- &lfs77_checked; -->
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&sound-theme-freedesktop-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&sound-theme-freedesktop-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &sound-theme-freedesktop-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &sound-theme-freedesktop-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &sound-theme-freedesktop-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &sound-theme-freedesktop-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/sound-theme-freedesktop"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Sound Theme Freedesktop</title>
+
+    <para>
+      Install <application>Sound Theme Freedesktop</application> by running
+      the following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/sounds/freedesktop
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>
Index: packages.ent
===================================================================
--- packages.ent	(revision edd70f1428afd85eb0b76934ee03f2c58faf1a69)
+++ packages.ent	(revision 92963e5bf470f399c2e967930207154dc0ffa218)
@@ -750,4 +750,5 @@
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
 <!ENTITY sdl-version                  "1.2.15">
+<!ENTITY sound-theme-freedesktop-version "0.8">
 <!ENTITY soundtouch-version           "1.9.2">
 <!ENTITY speex-version                "1.2rc2">