Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ general/genlib/libxml2.xml	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -6,10 +6,10 @@
 
   <!-- Also update the download, md5, size entities in libxml2py2.xml -->
-  <!ENTITY libxml2-download-http "https://download.gnome.org/sources/libxml2/2.9/libxml2-&libxml2-version;.tar.xz">
-  <!ENTITY libxml2-download-http "http://xmlsoft.org/sources/libxml2-&libxml2-version;.tar.gz">
+  <!ENTITY libxml2-download-http "https://download.gnome.org/sources/libxml2/2.10/libxml2-&libxml2-version;.tar.xz">
+<!--  <!ENTITY libxml2-download-http "http://xmlsoft.org/sources/libxml2-&libxml2-version;.tar.xz">-->
   <!ENTITY libxml2-download-ftp  " ">
-  <!ENTITY libxml2-md5sum        "b7b3029ac6beb32a7925225515f83ca3">
-  <!ENTITY libxml2-size          "3.0 MB">
-  <!ENTITY libxml2-buildsize     "103 MB (with tests)">
+  <!ENTITY libxml2-md5sum        "54fdcf2404eb5c1ca59ffc82b2edff78">
+  <!ENTITY libxml2-size          "2.6 MB">
+  <!ENTITY libxml2-buildsize     "96 MB (with tests)">
   <!ENTITY libxml2-time          "0.4 SBU (Using parallelism=4; with tests)">
   <!ENTITY testsuite-version     "20130923">
@@ -112,4 +112,10 @@
   <sect2 role="installation">
     <title>Installation of libxml2</title>
+
+    <para>
+      First, fix a problem recognizing Python-3.10:
+    </para>
+
+<screen><userinput>autoreconf -fiv</userinput></screen>
 
     <para>
Index: general/genlib/libxslt.xml
===================================================================
--- general/genlib/libxslt.xml	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ general/genlib/libxslt.xml	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -7,7 +7,7 @@
   <!ENTITY libxslt-download-http "https://download.gnome.org/sources/libxslt/1.1/libxslt-&libxslt-version;.tar.xz">
   <!ENTITY libxslt-download-ftp  " ">
-  <!ENTITY libxslt-md5sum        "5b3a634b77effd8a6268c21173575053">
-  <!ENTITY libxslt-size          "1.7 MB">
-  <!ENTITY libxslt-buildsize     "36 MB (with tests)">
+  <!ENTITY libxslt-md5sum        "ecf54ae636780d7983dd664b852e3212">
+  <!ENTITY libxslt-size          "1.5 MB">
+  <!ENTITY libxslt-buildsize     "35 MB (with tests)">
   <!ENTITY libxslt-time          "0.2 SBU (with tests)">
 ]>
@@ -125,11 +125,5 @@
   <sect2 role="installation">
     <title>Installation of libxslt</title>
-<!--
-    <para>
-      First, install a security patch to fix a security framework bypass:
-    </para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../libxslt-&libxslt-version;-security_fix-1.patch</userinput></screen>
--->
+
     <para>
       Install <application>libxslt</application> by running the following
@@ -141,11 +135,4 @@
 ./configure --prefix=/usr --disable-static --without-python  &amp;&amp;
 make</userinput></screen>
-
-    <!-- https://gitlab.gnome.org/GNOME/libxslt/-/issues/64 -->
-    <para>
-      Fix the date field in a shipped man page:
-    </para>
-
-<screen><userinput>sed -e 's@\$Date\$@16 February 2022@' -i doc/xsltproc.1</userinput></screen>
 
     <para>
Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ general/genlib/nodejs.xml	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -7,8 +7,8 @@
   <!ENTITY nodejs-download-http "https://nodejs.org/dist/v&nodejs-version;/node-v&nodejs-version;.tar.xz">
   <!ENTITY nodejs-download-ftp  " ">
-  <!ENTITY nodejs-md5sum        "9e8a2d3696168206498434a2943b167c">
-  <!ENTITY nodejs-size          "33 MB">
-  <!ENTITY nodejs-buildsize     "822 MB (add 30 MB for tests)">
-  <!ENTITY nodejs-time          "15 SBU (add 3.3 SBU for tests: both using parallelism=4 and 4 CPUs online, parts of the tests will use all online CPUs)">
+  <!ENTITY nodejs-md5sum        "ae838aa438c3a4c6bb0e3f765960a688">
+  <!ENTITY nodejs-size          "34 MB">
+  <!ENTITY nodejs-buildsize     "768 MB (add 28 MB for tests)">
+  <!ENTITY nodejs-time          "14 SBU (add 2.4 SBU for tests: both using parallelism=4 and 4 CPUs online, parts of the tests will use all online CPUs)">
 ]>
 
@@ -147,5 +147,5 @@
     <para>
       To test the results, issue: <command>make test-only</command>.
-      <!--Three tests out of over 3500 are known to fail.-->
+      Two tests out of over 3600 are known to fail.
     </para>
 
Index: general/graphlib/fribidi.xml
===================================================================
--- general/graphlib/fribidi.xml	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ general/graphlib/fribidi.xml	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -7,7 +7,7 @@
   <!ENTITY fribidi-download-http "https://github.com/fribidi/fribidi/releases/download/v&fribidi-version;/fribidi-&fribidi-version;.tar.xz">
   <!ENTITY fribidi-download-ftp  " ">
-  <!ENTITY fribidi-md5sum        "06bb29553bb0529fb38648185f2553b0">
-  <!ENTITY fribidi-size          "1.0 MB">
-  <!ENTITY fribidi-buildsize     "22 MB (with tests)">
+  <!ENTITY fribidi-md5sum        "21185b398635a7fc0d3ff0a7578c4791">
+  <!ENTITY fribidi-size          "1.1 MB">
+  <!ENTITY fribidi-buildsize     "21 MB (with tests)">
   <!ENTITY fribidi-time          "less than 0.1 SBU (with tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ introduction/welcome/changelog.xml	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -45,4 +45,24 @@
       <para>August 18th, 2022</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libxslt-1.1.36. Fixes
+          <ulink url="&blfs-ticket-root;16915">#16915</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libxml2-2.10.0. Fixes
+          <ulink url="&blfs-ticket-root;16914">#16914</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to node-16.17.0. Fixes
+          <ulink url="&blfs-ticket-root;16913">#16913</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to btrfs-progs-v5.19. Fixes
+          <ulink url="&blfs-ticket-root;16912">#16912</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to fribidi-1.0.12. Fixes
+          <ulink url="&blfs-ticket-root;16911">#16911</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to webkitgtk-2.46.6. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ packages.ent	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -47,5 +47,5 @@
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.18.1">
+<!ENTITY btrfs-progs-version          "5.19">
 <!ENTITY dosfstools-version           "4.2">
 <!ENTITY fuse3-version                "3.11.0">
@@ -178,11 +178,11 @@
 which is built separately after libxml2.so has been installed,
 to avoid building libxml2 twice, which is slow with all deps -->
-<!ENTITY libxml2-version              "2.9.14">
-<!ENTITY libxslt-version              "1.1.35">
+<!ENTITY libxml2-version              "2.10.0">
+<!ENTITY libxslt-version              "1.1.36">
 <!ENTITY libwacom-version             "2.4.0">
 <!ENTITY libwpe-version               "1.12.2">
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.6">
-<!ENTITY nodejs-version               "16.16.0">
+<!ENTITY nodejs-version               "16.17.0">
 <!ENTITY npth-version                 "1.6">
 <!ENTITY nspr-version                 "4.34.1">
@@ -213,5 +213,5 @@
 <!ENTITY freetype2-version            "2.12.1">
 <!ENTITY fontconfig-version           "2.14.0">  <!-- stable lt .90 micro version -->
-<!ENTITY fribidi-version              "1.0.11">
+<!ENTITY fribidi-version              "1.0.12">
 <!ENTITY gegl-version                 "0.4.38">
 <!ENTITY giflib-version               "5.2.1">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 8753635ba551c51428b67a4ef84c4a2ba19e3872)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 92969acf9c82524e4d9c27e560d580753dc1adc6)
@@ -7,7 +7,7 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "97bb8e8f64b68363542b09f3240e4ae1">
+  <!ENTITY btrfs-progs-md5sum        "7975ad827b59513243f55705b3b5a9b7">
   <!ENTITY btrfs-progs-size          "2.2 MB">
-  <!ENTITY btrfs-progs-buildsize     "52 MB (add 65 MB for tests)">
+  <!ENTITY btrfs-progs-buildsize     "52 MB (add 8.2 GB for tests)">
   <!ENTITY btrfs-progs-time          "0.2 SBU (add 5.4 SBU for tests, but will be longer on slow disks)">
 ]>