Index: general.ent
===================================================================
--- general.ent	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ general.ent	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "18">                   <!-- Always 2 digits -->
+<!ENTITY day          "20">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 18th &year;">
+<!ENTITY releasedate  "January 20th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/pyatspi2.xml
===================================================================
--- general/prog/pyatspi2.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ general/prog/pyatspi2.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -9,5 +9,5 @@
   <!ENTITY pyatspi2-download-ftp
            "&gnome-download-ftp;/pyatspi/2.20/pyatspi-&pyatspi2-version;.tar.xz">
-  <!ENTITY pyatspi2-md5sum        "26d32a2c821403295bc21027fe8a7b47">
+  <!ENTITY pyatspi2-md5sum        "990c77c1f3c08bf29919858a4cb9040d">
   <!ENTITY pyatspi2-size          "292 KB">
   <!ENTITY pyatspi2-buildsize     "4.9 MB">
@@ -16,5 +16,5 @@
 
    <!-- Begin PyAtSpi2 -->
-  <sect2 id="pyatspi2" xreflabel="PyAtSpi2-&pyatspi2-version;" revision="systemd">
+  <sect2 id="pyatspi2" xreflabel="PyAtSpi2-&pyatspi2-version;">
 
     <title>PyAtSpi2-&pyatspi2-version;</title>
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ general/prog/python-modules.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -37,5 +37,5 @@
         </para>
       </listitem>
-      <listitem revision="systemd">
+      <listitem>
         <para>
           <xref linkend="pyatspi2"/>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ gnome.ent	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -22,5 +22,5 @@
 <!ENTITY gnome-desktop-version        "3.22.2">
 <!ENTITY gnome-video-effects-version  "0.4.1">
-<!ENTITY libgtop-version              "2.34.1">
+<!ENTITY libgtop-version              "2.34.2">
 <!ENTITY libpeas-version              "1.20.0">
 <!ENTITY libwnck-version              "3.20.1">
@@ -50,5 +50,5 @@
 <!ENTITY caribou-version                   "0.4.21">
 <!ENTITY dconf-version                     "0.26.0">
-<!ENTITY dconf-editor-version              "3.22.1">
+<!ENTITY dconf-editor-version              "3.22.3">
 <!ENTITY gnome-backgrounds-version         "3.22.1">
 <!ENTITY gvfs-version                      "1.30.3">
Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ gnome/platform/dconf.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -16,7 +16,7 @@
   <!ENTITY dconf-editor-download-http "&gnome-download-http;/dconf-editor/&gnome-minor-22;/dconf-editor-&dconf-editor-version;.tar.xz">
   <!ENTITY dconf-editor-download-ftp  "&gnome-download-ftp;/dconf-editor/&gnome-minor-22;/dconf-editor-&dconf-editor-version;.tar.xz">
-  <!ENTITY dconf-editor-md5sum        "2d00c76161bd9505d61bf3a6848547b1">
-  <!ENTITY dconf-editor-size          "412 KB">
-  <!ENTITY dconf-editor-buildsize     "13 MB">
+  <!ENTITY dconf-editor-md5sum        "80f7b39976eb2040bc8ea6635d48a763">
+  <!ENTITY dconf-editor-size          "388 KB">
+  <!ENTITY dconf-editor-buildsize     "12 MB">
   <!ENTITY dconf-editor-time          "less than 0.1 SBU">
 ]>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ gnome/platform/libgtop.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -7,8 +7,8 @@
   <!ENTITY libgtop-download-http "&gnome-download-http;/libgtop/2.34/libgtop-&libgtop-version;.tar.xz">
   <!ENTITY libgtop-download-ftp  "&gnome-download-ftp;/libgtop/2.34/libgtop-&libgtop-version;.tar.xz">
-  <!ENTITY libgtop-md5sum        "81d3af0c9f78af13a0206095f747fa55">
+  <!ENTITY libgtop-md5sum        "8635ded0968cacd93cadd15453812257">
   <!ENTITY libgtop-size          "712 KB">
   <!ENTITY libgtop-buildsize     "18 MB">
-  <!ENTITY libgtop-time          "0.2 SBU">
+  <!ENTITY libgtop-time          "less than 0.1 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ introduction/welcome/changelog.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -44,4 +44,33 @@
 -->
     <listitem>
+      <para>January 20th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gtk+-3.22.7. Partially fixes
+          <ulink url="&blfs-ticket-root;8757">#8757</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gdk-pixbuf-2.36.4. Partially fixes
+          <ulink url="&blfs-ticket-root;8757">#8757</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to dconf-editor-3.22.3. Partially fixes
+          <ulink url="&blfs-ticket-root;8757">#8757</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libgtop-2.34.2. Partially fixes
+          <ulink url="&blfs-ticket-root;8757">#8757</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[renodr] - Make pyatspi2 available for sysv.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to pyatspi2-2.20.3. Partially fixes
+          <ulink url="&blfs-ticket-root;8757">#8757</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 19th, 2016</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ packages.ent	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -376,5 +376,5 @@
 <!ENTITY lxml-version                 "3.7.2">
 <!ENTITY MarkupSafe-version           "0.23">
-<!ENTITY pyatspi2-version             "2.20.2">
+<!ENTITY pyatspi2-version             "2.20.3">
 <!ENTITY py2cairo-version             "1.10.0">
 <!ENTITY pycairo-version              "1.10.0">
@@ -522,9 +522,9 @@
 <!ENTITY fltk-version                 "1.3.4">
 <!ENTITY freeglut-version             "3.0.0">
-<!ENTITY gdk-pixbuf-version           "2.36.3">
+<!ENTITY gdk-pixbuf-version           "2.36.4">
 <!ENTITY glu-version                  "9.0.0">
 <!ENTITY goffice010-version           "0.10.32">
 <!ENTITY gtk2-version                 "2.24.31">
-<!ENTITY gtk3-version                 "3.22.6">
+<!ENTITY gtk3-version                 "3.22.7">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ x/lib/gdk-pixbuf.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -9,8 +9,8 @@
   <!ENTITY gdk-pixbuf-download-ftp
            "&gnome-download-ftp;/gdk-pixbuf/2.36/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
-  <!ENTITY gdk-pixbuf-md5sum        "4624c5397f052f5852adfe3fe9e05379">
+  <!ENTITY gdk-pixbuf-md5sum        "aef5fe5888b9f578573e331501d08f85">
   <!ENTITY gdk-pixbuf-size          "4.9 MB">
-  <!ENTITY gdk-pixbuf-buildsize     "41 MB (with tests)">
-  <!ENTITY gdk-pixbuf-time          "0.8 SBU (with tests)">
+  <!ENTITY gdk-pixbuf-buildsize     "48 MB (with tests)">
+  <!ENTITY gdk-pixbuf-time          "0.7 SBU (with tests)">
 ]>
 
@@ -33,5 +33,5 @@
 
     <para>
-      The <application>Gdk Pixbuf</application> is a toolkit for image
+      The <application>Gdk Pixbuf</application> package is a toolkit for image
       loading and pixel buffer manipulation. It is used by
       <application>GTK+ 2</application> and <application>GTK+ 3</application> to
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 87c38e86075c083c6b82837c3eea1cf23b42d830)
+++ x/lib/gtk+3.xml	(revision 93883ecdf4d85e69773ad9bfedf162e19446346c)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-22;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-22;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "07f75a46a914e638e824d4bb69ff9248">
+  <!ENTITY gtk3-md5sum        "e05a7e8e9b89a71fd016883b5431e429">
   <!ENTITY gtk3-size          "17 MB">
-  <!ENTITY gtk3-buildsize     "405 MB (add 9 MB for tests)">
-  <!ENTITY gtk3-time          "5.8 SBU (add 0.6 SBU for tests)">
+  <!ENTITY gtk3-buildsize     "522 MB (add 9 MB for tests)">
+  <!ENTITY gtk3-time          "5.5 SBU (add 0.3 SBU for tests)">
 ]>
 
@@ -102,4 +102,5 @@
       <xref linkend="json-glib"/>,
       <xref linkend="libxkbcommon"/>,
+      <xref linkend="pyatspi2"/> (for tests),
       <xref linkend="wayland"/>, 
       <xref linkend="wayland-protocols"/>, and
@@ -113,4 +114,5 @@
       <xref linkend="json-glib"/>,
       <xref linkend="libxkbcommon"/>,
+      <xref linkend="pyatspi2"/> (for tests),
       <xref linkend="rest"/>,
       <xref linkend="wayland"/>, and
@@ -159,4 +161,5 @@
     </para>
 
+<!-- These don't fail for me anymore. Make sure that pyatspi2 is installed.
     <para>
       The accessibility test (six subtests) is known to fail.  The gtk-reftest
@@ -164,4 +167,5 @@
       subtest) is known to fail.
     </para>
+-->
 
     <para>