Index: kde/intro/introduction.xml
===================================================================
--- kde/intro/introduction.xml	(revision d8aa38f09e31992b7c857cab532e8456ef73f203)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
- <!ENTITY % general-entities SYSTEM "../../general.ent">
- %general-entities;
-]>
-
-<!--
-$LastChangedBy$
-$Date$
--->
-
-<chapter id="kde-prereq">
-  <?dbhtml filename="introduction.html"?>
-
-  <title>Introduction</title>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde-intro.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pre-install-config.xml"/>
-
-</chapter>
Index: kde/intro/kde-intro.xml
===================================================================
--- kde/intro/kde-intro.xml	(revision d8aa38f09e31992b7c857cab532e8456ef73f203)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE partintro PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="kde-intro">
-  <?dbhtml filename="kdeintro.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Introduction to KDE</title>
-
-  <para><application>KDE</application> Software Compilation 4 is a
-  comprehensive desktop environment with a huge number of applications
-  written for it and a huge amount of users. It is based on the
-  <application>Qt</application> framework.</para>
-  <para>For more information visit the official KDE project site at
-  <ulink url="http://www.kde.org/"/>.</para>
-
-  <sect2><title>Build order</title>
-
-  <para>The core <application>KDE</application> packages are listed in the
-  recommended and tested build order. The additional
-  <application>KDE</application> packages can be built in any order.</para>
-
-  </sect2>
-
-</sect1>
Index: kde/intro/pre-install-config.xml
===================================================================
--- kde/intro/pre-install-config.xml	(revision d8aa38f09e31992b7c857cab532e8456ef73f203)
+++ 	(revision )
@@ -1,114 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="kde-pre-install-config">
-  <?dbhtml filename="pre-install-config.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>KDE Pre-installation Configuration</title>
-
-  <note><para>If you did not install <application>Xorg</application> in
-  <filename class="directory">/usr</filename>, some of the 
-  <application>CMake</application> modules in <application>KDE</application>
-  look for packages at hard coded locations. To accommodate this issue,
-  create the following symbolic link (as the root user):</para>
-
-<screen role="root"><userinput>ln -sv $XORG_PREFIX /usr/X11R6</userinput></screen>
-  </note>
-
-  <sect2><title>Installing in /usr</title>
-
-    <para>One option is to put <application>KDE</application> into the
-    <filename class='directory'>/usr</filename> hierarchy.  This creates a
-    simpler setup but makes it more difficult to try multiple versions of
-    <application>KDE</application>.</para>
-
-<screen><userinput>export &kde-dir-var;=/usr</userinput></screen>
-  </sect2>
-
-  <sect2><title>Installing in /opt</title>
-
-    <para>A method of building multiple versions installs
-    <application>KDE</application> in the <filename
-    class='directory'>/opt</filename> hierarchy:</para>
-
-<screen><userinput>export &kde-dir-var;=/opt/kde</userinput></screen>
-
-    <para>If you are not installing <application>KDE</application> in
-    <filename class="directory">/usr</filename>, you will need to make some
-    additional configuration changes. Best practice is to add those to your
-    system (as <systemitem  class="username">root</systemitem>) or personal
-    profile:</para>
-
-<screen role="root"><userinput>cat &gt; /etc/profile.d/kde.sh &lt;&lt; 'EOF'
-<literal># Begin /etc/profile.d/kde.sh
-
-&kde-dir-var;=/opt/kde
-KDEDIR=&kde-dir;
-
-pathappend &kde-dir;/bin             PATH
-pathappend &kde-dir;/lib/pkgconfig   PKG_CONFIG_PATH
-pathappend &kde-dir;/share/pkgconfig PKG_CONFIG_PATH
-pathappend &kde-dir;/share           XDG_DATA_DIRS
-pathappend &kde-dir;/share/man       MANPATH
-pathappend /etc/kde/xdg                XDG_CONFIG_DIRS
-
-export &kde-dir-var; KDEDIR
-
-# End /etc/profile.d/kde.sh</literal>
-EOF
-</userinput></screen>
-
-    <para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
-
-<screen role="root"><userinput>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; EOF
-<literal># Begin kde addition
-
-/opt/kde/lib
-
-# End kde addition</literal>
-EOF</userinput></screen>
-
-    <indexterm zone="kde-pre-install-config">
-      <primary sortas="e-etc-ld.so.conf">/etc/ld.so.conf</primary>
-    </indexterm>
-
-    <para>Several KDE packages install files into D-Bus and polkit directories.
-    When installing KDE in a location other than <filename class="directory">/usr</filename>,
-    D-Bus and polkit need to find these files. The easiest way to achieve this is to create
-    the following symlinks (as the <systemitem class="username">root</systemitem> user):</para>
-
-<screen role="root"><userinput>install -d &kde-dir;/share &amp;&amp;
-ln -svf /usr/share/dbus-1 &kde-dir;/share &amp;&amp;
-ln -svf /usr/share/polkit-1 &kde-dir;/share</userinput></screen>
-
-    <tip>
-      <para>Sometimes, the installation paths are coded into installed files.
-      This is the reason why <filename class="directory">/opt/kde</filename>
-      is used as installation prefix instead of <filename
-      class="directory">/opt/kde-&kde-version;</filename>.  After installing
-      <application>KDE</application>, you may rename the directory and create
-      a symlink:</para>
-
-<screen role="root"><userinput>mv /opt/kde{,-&kde-version;} &amp;&amp;
-ln -svf kde-&kde-version; /opt/kde</userinput></screen>
-
-      <para>Later on, you may want to install other versions of
-      <application>KDE</application>.  To do that, just remove the symlink and
-      use <filename class="directory">/opt/kde</filename> as the prefix again
-      (<application>KDE</application> must not be started). Which version of
-      <application>KDE</application> you use depends only on where the symlink
-      points to. No other reconfiguration will be needed.</para>
-
-    </tip>
-
-  </sect2>
-</sect1>
Index: kde/introduction.xml
===================================================================
--- kde/introduction.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
+++ kde/introduction.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+ <!ENTITY % general-entities SYSTEM "../general.ent">
+ %general-entities;
+]>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
+
+<chapter id="kde-prereq">
+  <?dbhtml filename="introduction.html"?>
+
+  <title>Introduction</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde-intro.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pre-install-config.xml"/>
+
+</chapter>
Index: kde/kde-intro.xml
===================================================================
--- kde/kde-intro.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
+++ kde/kde-intro.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE partintro PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="kde-intro">
+  <?dbhtml filename="kdeintro.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Introduction to KDE</title>
+
+  <para><application>KDE</application> Software Compilation 4 is a
+  comprehensive desktop environment with a huge number of applications
+  written for it and a huge amount of users. It is based on the
+  <application>Qt</application> framework.</para>
+  <para>For more information visit the official KDE project site at
+  <ulink url="http://www.kde.org/"/>.</para>
+
+  <sect2><title>Build order</title>
+
+  <para>The core <application>KDE</application> packages are listed in the
+  recommended and tested build order. The additional
+  <application>KDE</application> packages can be built in any order.</para>
+
+  </sect2>
+
+</sect1>
Index: kde/kde.xml
===================================================================
--- kde/kde.xml	(revision d8aa38f09e31992b7c857cab532e8456ef73f203)
+++ kde/kde.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
@@ -16,5 +16,5 @@
   <title>KDE</title>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="intro/introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="core/core.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="add/add.xml"/>
Index: kde/pre-install-config.xml
===================================================================
--- kde/pre-install-config.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
+++ kde/pre-install-config.xml	(revision 94881bd1292ea1e1c9b153368507de3b093b0248)
@@ -0,0 +1,114 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="kde-pre-install-config">
+  <?dbhtml filename="pre-install-config.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>KDE Pre-installation Configuration</title>
+
+  <note><para>If you did not install <application>Xorg</application> in
+  <filename class="directory">/usr</filename>, some of the 
+  <application>CMake</application> modules in <application>KDE</application>
+  look for packages at hard coded locations. To accommodate this issue,
+  create the following symbolic link (as the root user):</para>
+
+<screen role="root"><userinput>ln -sv $XORG_PREFIX /usr/X11R6</userinput></screen>
+  </note>
+
+  <sect2><title>Installing in /usr</title>
+
+    <para>One option is to put <application>KDE</application> into the
+    <filename class='directory'>/usr</filename> hierarchy.  This creates a
+    simpler setup but makes it more difficult to try multiple versions of
+    <application>KDE</application>.</para>
+
+<screen><userinput>export &kde-dir-var;=/usr</userinput></screen>
+  </sect2>
+
+  <sect2><title>Installing in /opt</title>
+
+    <para>A method of building multiple versions installs
+    <application>KDE</application> in the <filename
+    class='directory'>/opt</filename> hierarchy:</para>
+
+<screen><userinput>export &kde-dir-var;=/opt/kde</userinput></screen>
+
+    <para>If you are not installing <application>KDE</application> in
+    <filename class="directory">/usr</filename>, you will need to make some
+    additional configuration changes. Best practice is to add those to your
+    system (as <systemitem  class="username">root</systemitem>) or personal
+    profile:</para>
+
+<screen role="root"><userinput>cat &gt; /etc/profile.d/kde.sh &lt;&lt; 'EOF'
+<literal># Begin /etc/profile.d/kde.sh
+
+&kde-dir-var;=/opt/kde
+KDEDIR=&kde-dir;
+
+pathappend &kde-dir;/bin             PATH
+pathappend &kde-dir;/lib/pkgconfig   PKG_CONFIG_PATH
+pathappend &kde-dir;/share/pkgconfig PKG_CONFIG_PATH
+pathappend &kde-dir;/share           XDG_DATA_DIRS
+pathappend &kde-dir;/share/man       MANPATH
+pathappend /etc/kde/xdg                XDG_CONFIG_DIRS
+
+export &kde-dir-var; KDEDIR
+
+# End /etc/profile.d/kde.sh</literal>
+EOF
+</userinput></screen>
+
+    <para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
+
+<screen role="root"><userinput>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; EOF
+<literal># Begin kde addition
+
+/opt/kde/lib
+
+# End kde addition</literal>
+EOF</userinput></screen>
+
+    <indexterm zone="kde-pre-install-config">
+      <primary sortas="e-etc-ld.so.conf">/etc/ld.so.conf</primary>
+    </indexterm>
+
+    <para>Several KDE packages install files into D-Bus and polkit directories.
+    When installing KDE in a location other than <filename class="directory">/usr</filename>,
+    D-Bus and polkit need to find these files. The easiest way to achieve this is to create
+    the following symlinks (as the <systemitem class="username">root</systemitem> user):</para>
+
+<screen role="root"><userinput>install -d &kde-dir;/share &amp;&amp;
+ln -svf /usr/share/dbus-1 &kde-dir;/share &amp;&amp;
+ln -svf /usr/share/polkit-1 &kde-dir;/share</userinput></screen>
+
+    <tip>
+      <para>Sometimes, the installation paths are coded into installed files.
+      This is the reason why <filename class="directory">/opt/kde</filename>
+      is used as installation prefix instead of <filename
+      class="directory">/opt/kde-&kde-version;</filename>.  After installing
+      <application>KDE</application>, you may rename the directory and create
+      a symlink:</para>
+
+<screen role="root"><userinput>mv /opt/kde{,-&kde-version;} &amp;&amp;
+ln -svf kde-&kde-version; /opt/kde</userinput></screen>
+
+      <para>Later on, you may want to install other versions of
+      <application>KDE</application>.  To do that, just remove the symlink and
+      use <filename class="directory">/opt/kde</filename> as the prefix again
+      (<application>KDE</application> must not be started). Which version of
+      <application>KDE</application> you use depends only on where the symlink
+      points to. No other reconfiguration will be needed.</para>
+
+    </tip>
+
+  </sect2>
+</sect1>