Index: general/genlib/pcre2.xml
===================================================================
--- general/genlib/pcre2.xml	(revision ac8fc186893c81898922713667497b4dd7e1078b)
+++ general/genlib/pcre2.xml	(revision 95378e80ac29b6830572180857e398c5b0c797a9)
@@ -7,8 +7,8 @@
   <!ENTITY pcre2-download-http "&sourceforge-dl;/pcre/pcre2-&pcre2-version;.tar.bz2">
   <!ENTITY pcre2-download-ftp  "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre2-&pcre2-version;.tar.bz2">
-  <!ENTITY pcre2-md5sum        "e0b91c891a3c49050f7fd15de33d0ba4">
+  <!ENTITY pcre2-md5sum        "8a096287153fb994970df3570e90fcb5">
   <!ENTITY pcre2-size          "1.6 MB">
-  <!ENTITY pcre2-buildsize     "19 MB (with tests)">
-  <!ENTITY pcre2-time          "0.3 SBU (with tests)">
+  <!ENTITY pcre2-buildsize     "22 MB (with tests)">
+  <!ENTITY pcre2-time          "0.4 SBU (with tests)">
 ]>
 
@@ -77,5 +77,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="valgrind"/>
+      <xref linkend="valgrind"/> and
+      <ulink url="https://www.cs.utah.edu/~bigler/code/libedit.html">libedit</ulink>
     </para>
 
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision ac8fc186893c81898922713667497b4dd7e1078b)
+++ general/prog/perl-modules.xml	(revision 95378e80ac29b6830572180857e398c5b0c797a9)
@@ -70,5 +70,5 @@
 
   <!ENTITY IO-Socket-SSL-download-http "&perl_authors;/id/S/SU/SULLR/IO-Socket-SSL-&IO-Socket-SSL-version;.tar.gz">
-  <!ENTITY IO-Socket-SSL-md5sum "0e329d3ce11563a27d70d63ad09ed5e9">
+  <!ENTITY IO-Socket-SSL-md5sum "97fa6cd64f15db60f810cd8ab02d57fc">
 
   <!ENTITY IPC-Run3-download-http "&perl_authors;/id/R/RJ/RJBS/IPC-Run3-&IPC-Run3-version;.tar.gz">
@@ -1301,4 +1301,5 @@
 (https://cpan.metacpan.org/authors/id/M/MI/MIKEM/Net-SSLeay-1.85.tar.gz)
 When scripting, pipe the <command>perl Makefile.PL</command> command through <command>yes "" |</command>, since some user input is sought</literallayout>
+          <!-- The test suite for NET::SSLeay has issues with OpenSSL-1.1.1 -->
           </listitem>
         </itemizedlist>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ac8fc186893c81898922713667497b4dd7e1078b)
+++ introduction/welcome/changelog.xml	(revision 95378e80ac29b6830572180857e398c5b0c797a9)
@@ -47,4 +47,12 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to IO::Socket:SSL-2.060 (Perl Module). Fixes
+          <ulink url="&blfs-ticket-root;11155">#11155</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to pcre2-10.32. Fixes
+          <ulink url="&blfs-ticket-root;11137">#11137</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to sqlite-3.25.2. Fixes
           <ulink url="&blfs-ticket-root;11153">#11153</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision ac8fc186893c81898922713667497b4dd7e1078b)
+++ packages.ent	(revision 95378e80ac29b6830572180857e398c5b0c797a9)
@@ -181,5 +181,5 @@
 <!ENTITY openobex-version             "1.7.2">
 <!ENTITY pcre-version                 "8.42">
-<!ENTITY pcre2-version                "10.31">
+<!ENTITY pcre2-version                "10.32">
 <!ENTITY popt-version                 "1.16">
 <!ENTITY pth-version                  "2.0.7">
@@ -381,5 +381,5 @@
 <!ENTITY HTML-Parser-version          "3.72">
 <!ENTITY HTTP-Daemon-version          "6.01">
-<!ENTITY IO-Socket-SSL-version        "2.059">
+<!ENTITY IO-Socket-SSL-version        "2.060">
 <!ENTITY IPC-Run3-version             "0.048">
 <!ENTITY Lingua-Translit-version      "0.28">
Index: postlfs/security/make-ca.xml
===================================================================
--- postlfs/security/make-ca.xml	(revision ac8fc186893c81898922713667497b4dd7e1078b)
+++ postlfs/security/make-ca.xml	(revision 95378e80ac29b6830572180857e398c5b0c797a9)
@@ -76,7 +76,8 @@
     <bridgehead renderas="sect3">make-ca Dependencies</bridgehead>
 
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="p11-kit"/> (required at runtime to
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="p11-kit"/> (required at runtime to
     generate certificate stores from trust anchors)</para>
+    <!-- /usr/bin/trust is needed to extract the certs to /etc/ssl/certs -->
 
    <bridgehead renderas="sect4">Optional (runtime)</bridgehead>