Index: multimedia/libdriv/farstream.xml
===================================================================
--- multimedia/libdriv/farstream.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/farstream.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -8,6 +8,6 @@
            "http://freedesktop.org/software/farstream/releases/farstream/farstream-&farstream-version;.tar.gz">
   <!ENTITY farstream-download-ftp  " ">
-  <!ENTITY farstream-md5sum        "5d6e561b3688d0d0c8906fec4f356df3">
-  <!ENTITY farstream-size          "1.3 MB">
+  <!ENTITY farstream-md5sum        "efedec4a885170d350b5cc43c933f1c0">
+  <!ENTITY farstream-size          "1.2 MB">
   <!ENTITY farstream-buildsize     "30 MB">
   <!ENTITY farstream-time          "0.2 SBU">
@@ -25,5 +25,5 @@
 
   <indexterm zone="farstream">
-    <primary sortas="a-farstream">farstream</primary>
+    <primary sortas="a-Farstream">Farstream</primary>
   </indexterm>
 
@@ -32,7 +32,7 @@
 
     <para>
-      The <application>Farstream</application> package contains a 
-      collection of GStreamer modules and libraries used for
-      videoconferencing.
+      The <application>Farstream</application> package contains libraries 
+      and a collection of <application>GStreamer</application> modules
+      used for video conferencing.
     </para>
 
@@ -73,19 +73,9 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/farstream-&farstream-version;-gir_fixes-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">Farstream Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gst-plugins-base"/> and
+      <xref linkend="gst10-plugins-base"/> and
       <xref linkend="libnice"/>
     </para>
@@ -98,15 +88,12 @@
     <bridgehead renderas="sect4">Recommended (Runtime)</bridgehead>
     <para role="recommended">
-      <xref linkend="gst-plugins-bad"/> and
-      <xref linkend="gst-plugins-good"/>
+      <xref linkend="gst10-plugins-bad"/> and
+      <xref linkend="gst10-plugins-good"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <ulink url="http://gstreamer.freedesktop.org/modules/gst-python.html">
-      GStreamer Python Bindings</ulink>,
       <xref linkend="gtk-doc"/>,
-      <ulink url="http://gupnp.org/">gupnp-igd</ulink>,
-      <xref linkend="pygobject2"/> and
+      <ulink url="http://gupnp.org/">gupnp-igd</ulink> and
       <ulink url="http://www.valgrind.org/">Valgrind</ulink>
     </para>
@@ -125,12 +112,9 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../farstream-&farstream-version;-gir_fixes-1.patch &amp;&amp;
-./configure --prefix=/usr \
-            --disable-python \
-            --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
     <para>
-      This package does not come with a test suite.
+      To test the results, issue: <command>make check</command>.
     </para>
 
@@ -144,12 +128,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <option>--disable-python</option>: This switch disables Python
-      bindings. Remove if you have Gst-Python and PyGObject2 installed.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -167,12 +143,12 @@
       <seglistitem>
         <seg>
-          libfarstream-0.1.so
+          libfarstream-0.2.so
         </seg>
         <seg>
-          /usr/include/farstream-0.1,
-          /usr/lib/farstream-0.1,
+          /usr/include/farstream-0.2,
+          /usr/lib/farstream-0.2,
           /usr/share/farstream,
-          /usr/share/gtk-doc/html/farstream-libs-0.10 and
-          /usr/share/gtk-doc/html/farstream-plugins-0.1
+          /usr/share/gtk-doc/html/farstream-libs-1.0 and
+          /usr/share/gtk-doc/html/farstream-plugins-0.2
         </seg>
       </seglistitem>
@@ -184,12 +160,12 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="libfarstream-0.1">
-        <term><filename class="libraryfile">libfarstream-0.1.so</filename></term>
+      <varlistentry id="libfarstream">
+        <term><filename class="libraryfile">libfarstream-0.2.so</filename></term>
         <listitem>
           <para>
             contains the <application>Farstream</application> API functions.
           </para>
-          <indexterm zone="farstream libfarstream-0.1">
-            <primary sortas="c-libfarstream-0.1">libfarstream-0.1.so</primary>
+          <indexterm zone="farstream libfarstream">
+            <primary sortas="c-libfarstream">libfarstream-0.2so</primary>
           </indexterm>
         </listitem>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/gst10-libav.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -7,5 +7,5 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "8e6eef583ca22c2e1021a76c80ea3fb7">
+  <!ENTITY gst10-libav-md5sum        "49c8b54eaae25da2c866a59b284b31ea">
   <!ENTITY gst10-libav-size          "4.1 MB">
   <!ENTITY gst10-libav-buildsize     "295 MB">
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -7,5 +7,5 @@
   <!ENTITY gst10-plugins-bad-download-http "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "f5a3e3f579e161e70c6207354a728a49">
+  <!ENTITY gst10-plugins-bad-md5sum        "f2d2c432917fb639a510bb3ce85c5329">
   <!ENTITY gst10-plugins-bad-size          "3.0 MB">
   <!ENTITY gst10-plugins-bad-buildsize     "100 MB">
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -5,8 +5,7 @@
   %general-entities;
 
-  <!ENTITY gst10-plugins-base-download-http
-           "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
+  <!ENTITY gst10-plugins-base-download-http "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "0419f3e3ccdc33e2cbebb26255ead2cf">
+  <!ENTITY gst10-plugins-base-md5sum        "428f5a0beaa7f76262bea0f431f8337e">
   <!ENTITY gst10-plugins-base-size          "2.3 MB">
   <!ENTITY gst10-plugins-base-buildsize     "110 MB">
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -5,7 +5,7 @@
   %general-entities;
 
-  <!ENTITY gst10-plugins-good-download-http "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst-plugins-good-version;.tar.xz">
+  <!ENTITY gst10-plugins-good-download-http "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "762bd204e361a70aa3f262ee8e457519">
+  <!ENTITY gst10-plugins-good-md5sum        "f711832cd8a9b033eb424fabe89ca9d1">
   <!ENTITY gst10-plugins-good-size          "2.6 MB">
   <!ENTITY gst10-plugins-good-buildsize     "110 MB">
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -7,5 +7,5 @@
   <!ENTITY gst10-plugins-ugly-download-http "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "fc20da880285a9a746736028393daaed">
+  <!ENTITY gst10-plugins-ugly-md5sum        "7f20303caf4305278573fb7ef73a07b7">
   <!ENTITY gst10-plugins-ugly-size          "804 KB">
   <!ENTITY gst10-plugins-ugly-buildsize     "20 MB">
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/gstreamer10.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -7,5 +7,5 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "5388d6ff684c314bdfcfe25e550812e4">
+  <!ENTITY gstreamer10-md5sum        "7f20303caf4305278573fb7ef73a07b7">
   <!ENTITY gstreamer10-size          "3.0 MB">
   <!ENTITY gstreamer10-buildsize     "75 MB">
Index: multimedia/libdriv/libcanberra.xml
===================================================================
--- multimedia/libdriv/libcanberra.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/libcanberra.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -6,10 +6,10 @@
 
   <!ENTITY libcanberra-download-http 
-           "http://0pointer.de/lennart/projects/libcanberra/libcanberra-&libcanberra-version;.tar.gz">
+           "http://0pointer.de/lennart/projects/libcanberra/libcanberra-&libcanberra-version;.tar.xz">
   <!ENTITY libcanberra-download-ftp  " ">
-  <!ENTITY libcanberra-md5sum        "c198b4811598c4c161ff505e4531b02c">
-  <!ENTITY libcanberra-size          "476 KB">
-  <!ENTITY libcanberra-buildsize     "6 MB">
-  <!ENTITY libcanberra-time          "0.2 SBU">
+  <!ENTITY libcanberra-md5sum        "34cb7e4430afaf6f447c4ebdb9b42072">
+  <!ENTITY libcanberra-size          "312 KB">
+  <!ENTITY libcanberra-buildsize     "7.5 MB">
+  <!ENTITY libcanberra-time          "0.1 SBU">
 ]>
 
@@ -82,11 +82,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="alsa-lib"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional (Required if building GNOME)</bridgehead>
-    <para role="optional">
-      <xref linkend="GConf"/>,
-      <xref linkend="gstreamer"/> and
+      <xref linkend="alsa-lib"/>,
+      <xref linkend="gstreamer10"/> and
       <xref linkend="gtk3"/>
     </para>
@@ -113,7 +108,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --sysconfdir=/etc \
-            --disable-oss &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-oss &amp;&amp;
 make</userinput></screen>
 
@@ -155,5 +148,5 @@
         </seg>
         <seg>
-          /usr/lib/libcanberra-0.28,
+          /usr/lib/libcanberra-&libcanberra-version;,
           /usr/share/doc/libcanberra and
           /usr/share/gtk-doc/html/libcanberra
@@ -180,5 +173,5 @@
 
       <varlistentry id="libcanberra-gtk">
-        <term><filename class='libraryfile'>libcanberra-gtk.so</filename></term>
+        <term><filename class="libraryfile">libcanberra-gtk.so</filename></term>
         <listitem>
           <para>
@@ -193,5 +186,5 @@
 
       <varlistentry id="libcanberra-gtk3">
-        <term><filename class='libraryfile'>libcanberra-gtk3.so</filename></term>
+        <term><filename class="libraryfile">libcanberra-gtk3.so</filename></term>
         <listitem>
           <para>
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
+++ multimedia/libdriv/libdriv.xml	(revision 95465a304f316739a2a3676674cffa1ce37cf13e)
@@ -41,10 +41,10 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst-plugins-ugly.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst-ffmpeg.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gstreamer10.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gstreamer10.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-base.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-good.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-bad.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-ugly.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-libav.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-libav.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="liba52.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libao.xml"/>
@@ -60,5 +60,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz3.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz5.xml"/> -->
+  <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz5.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libogg.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libquicktime.xml"/>
@@ -72,5 +72,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sdl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sound-theme-freedesktop.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="soundtouch.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="soundtouch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="speex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="taglib.xml"/>