Index: general.ent
===================================================================
--- general.ent	(revision 7ce4fef6afdee430b51a6f04fae30b77caeb302a)
+++ general.ent	(revision 95965b6f82e0dbce119946a1b90c5ff0e861d09c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "12">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 11th, &year;">
+<!ENTITY releasedate  "February 12th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome/platform/sassc.xml
===================================================================
--- gnome/platform/sassc.xml	(revision 7ce4fef6afdee430b51a6f04fae30b77caeb302a)
+++ gnome/platform/sassc.xml	(revision 95965b6f82e0dbce119946a1b90c5ff0e861d09c)
@@ -22,5 +22,5 @@
 ]>
 
-<sect1 id="sassc" xreflabel="sassc-&sassc-version;" revision="systemd">
+<sect1 id="sassc" xreflabel="sassc-&sassc-version;">
   <?dbhtml filename="sassc.html"?>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7ce4fef6afdee430b51a6f04fae30b77caeb302a)
+++ introduction/welcome/changelog.xml	(revision 95965b6f82e0dbce119946a1b90c5ff0e861d09c)
@@ -42,4 +42,14 @@
     </listitem>
     -->
+
+    <listitem>
+      <para>February 12th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to plasma-5,15,0. Fixes 
+          <ulink url="&blfs-ticket-root;11523">#11523</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision 7ce4fef6afdee430b51a6f04fae30b77caeb302a)
+++ kde/plasma5/plasma-all.xml	(revision 95965b6f82e0dbce119946a1b90c5ff0e861d09c)
@@ -8,7 +8,7 @@
   <!ENTITY plasma5-download-ftp  " ">
   <!ENTITY plasma5-md5sum        "See Below">
-  <!ENTITY plasma5-size          "124 MB">
-  <!ENTITY plasma5-buildsize     "958 MB (336 MB installed)">
-  <!ENTITY plasma5-time          "15 SBU (using parallelism=4)">
+  <!ENTITY plasma5-size          "95 MB">
+  <!ENTITY plasma5-buildsize     "1.1 GB (330 MB installed)">
+  <!ENTITY plasma5-time          "13 SBU (using parallelism=4)">
 ]>
 
@@ -72,4 +72,5 @@
     <xref linkend="pulseaudio"/>,
     <xref linkend="qca"/>,
+    <xref linkend="sassc"/>,
     <xref linkend="taglib"/>, and
     <xref linkend="xcb-util-cursor"/>
@@ -139,50 +140,49 @@
 
 <screen><userinput>cat &gt; plasma-&plasma5-version;.md5 &lt;&lt; "EOF"
-<literal>014d15755600481d8bd2125d82776510  kdecoration-5.14.4.tar.xz
-6cafec0732d42a11618b0f7843b9cdb7  libkscreen-5.14.4.tar.xz
-8b43076fe3d8845d7f890721a90b8210  libksysguard-5.14.4.tar.xz
-4bea8ee0b3b165235ebfc2c02be6dc1c  breeze-5.14.4.tar.xz
-858a3f7cbec03e40fbd3ee6bcf24ea85  breeze-gtk-5.14.4.tar.xz
-f46412c02e11d53723c89a1f7505a3dd  kscreenlocker-5.14.4.tar.xz
-a194273fcb39e57b694121d258188a7a  oxygen-5.14.4.tar.xz
-34c5a84a8d6a135cb947b6ecd17803ee  kinfocenter-5.14.4.tar.xz
-abc6602d3f0d986a07d8b00684599ca9  ksysguard-5.14.4.tar.xz
-3d9ce77dd5671b514d9943c5119fca61  kwin-5.14.4.tar.xz
-eaeaeaf57be7d45752ec92f0b5beda0b  plasma-workspace-5.14.4.tar.xz
-fe29af65a55d434bfb5a1806f7ca61b0  bluedevil-5.14.4.tar.xz
-f2bf818be2ebeca91985e01278f6d93f  kde-gtk-config-5.14.4.tar.xz
-c38e8d0902ba37f5308cb7f05047072b  khotkeys-5.14.4.tar.xz
-68bb90533998367a5a207132b91b0ac3  kmenuedit-5.14.4.tar.xz
-2fd69bedd600e7bfa8e4cae6e2425fc9  kscreen-5.14.4.tar.xz
-d548ae1d4b1850cc65093128a411304a  kwallet-pam-5.14.4.tar.xz
-16d278360004a80db9c5a6baa2f7781b  kwayland-integration-5.14.4.tar.xz
-9f36e858f57d24098c2ddb5987bf200e  kwrited-5.14.4.tar.xz
-ea0c7fe6cf49049b9a68b9d0094634b9  milou-5.14.4.tar.xz
-3e1200ad29cae12d7672902164449403  plasma-nm-5.14.4.tar.xz
-bf60a089095cfeca423a2e1dfc7fc627  plasma-pa-5.14.4.tar.xz
-5896ef78ebf9b4784ed1fb44c4af1d69  plasma-workspace-wallpapers-5.14.4.tar.xz
-25e9a3d1745d0c11d8568074229671a3  polkit-kde-agent-1-5.14.4.tar.xz
-fdb962c816db14a40c5e455c6f25523a  powerdevil-5.14.4.tar.xz
-#2db6c86391fcb083a0ff079a14875821  plasma-desktop-5.14.4.tar.xz
-420adc0e141435398e116e60da50d7ff  plasma-desktop-5.14.4.1.tar.xz
-16c0b5f4737a9fce99018d49858cb47d  kdeplasma-addons-5.14.4.tar.xz
-3c3ba960cca9349126dcafcbf702eab1  kgamma5-5.14.4.tar.xz
-878b25b3c87b13030b303c7f667c450a  ksshaskpass-5.14.4.tar.xz
-#305356781ac6d6fc4bd1708b4c6f756b  plasma-sdk-5.14.4.tar.xz
-1a28a56b8b76b2c84c9d880f546274c4  sddm-kcm-5.14.4.tar.xz
-fbd60bfb9e66c72311e233817b94e809  user-manager-5.14.4.tar.xz
-e14211fc2b0d995d3cf142168056c144  discover-5.14.4.tar.xz
-#86462c52fb106e9ed753822c48456c94  breeze-grub-5.14.4.tar.xz
-#9a16fa97036b5de9fa0d68d6c2d6e822  breeze-plymouth-5.14.4.tar.xz
-d2ef43f119c8afa91745092f649205ff  kactivitymanagerd-5.14.4.tar.xz
-14289404eeff5fd571aefbe2a025dc86  plasma-integration-5.14.4.tar.xz
-78aaa3b82fe3010be8ff90a44bdd7e8a  plasma-tests-5.14.4.tar.xz
-13dd25e88e6fffbff6dad7ae2e49110d  plymouth-kcm-5.14.4.tar.xz
-9df4568014b9f3bc91577db4205d40d4  xdg-desktop-portal-kde-5.14.4.tar.xz
-633cc3750606ad94f2c8f49a0fd3a656  drkonqi-5.14.4.tar.xz
-cd1c28ad7d047861634fa091cec5cd29  plasma-vault-5.14.4.tar.xz
-7a1b10a5dc4b28600a9f3f13de800bd5  plasma-browser-integration-5.14.4.tar.xz
-d008931a914d5748da62f6667915c7d6  kde-cli-tools-5.14.4.tar.xz
-1c119822295205f625c7fcc6ea7b01bb  systemsettings-5.14.4.tar.xz</literal>
+<literal>1195f11a0f135da965f7c84a0b535ad6  kdecoration-5.15.0.tar.xz
+0d4896be04000503bedcf5c7d51e896a  libkscreen-5.15.0.tar.xz
+784f3f907050c36265d0c289aa15779f  libksysguard-5.15.0.tar.xz
+41d68903361098906f7feb05aeef96da  breeze-5.15.0.tar.xz
+9a0d85a3a6b97e0f0920604e73c8f4f8  breeze-gtk-5.15.0.tar.xz
+0ed614d82dff50dd7b1df7165113f600  kscreenlocker-5.15.0.tar.xz
+86528bd2bd6f8a66108fc2ceba3cc1af  oxygen-5.15.0.tar.xz
+fdd8a90fc4b917602547adf44553990d  kinfocenter-5.15.0.tar.xz
+8c0b0aaf98727d52c00bfe3ca5152775  ksysguard-5.15.0.tar.xz
+52f86eb52dda1ccd547a8a66893d439e  kwin-5.15.0.tar.xz
+5424d6b8af2025c44acdaea10615a539  plasma-workspace-5.15.0.tar.xz
+8649b958165f1a87f07373be0f97fbf3  bluedevil-5.15.0.tar.xz
+2914de589f74b154fe29e3103be34ef6  kde-gtk-config-5.15.0.tar.xz
+79d22683db231b7623cf2ebe384994b6  khotkeys-5.15.0.tar.xz
+821abe928b627a33ae43ffeace3990e5  kmenuedit-5.15.0.tar.xz
+60dae1dde512a5b8c8f54adb48e83ec4  kscreen-5.15.0.tar.xz
+2c41b3ae8862a4243169e45348b1cd63  kwallet-pam-5.15.0.tar.xz
+ef01bd635719a4bf3c6845dbc08e7bc3  kwayland-integration-5.15.0.tar.xz
+6d461e4deeeae854e7efdff26c0fbc2e  kwrited-5.15.0.tar.xz
+7fd8557369f2d3a59e1d84c78a265afc  milou-5.15.0.tar.xz
+d3c9475c2b51cdb1f2efedfb5ab6cf88  plasma-nm-5.15.0.tar.xz
+6eab227685df4ccd68ada3a4b633711f  plasma-pa-5.15.0.tar.xz
+93a379e907d3b03205771e1b5c20ea7d  plasma-workspace-wallpapers-5.15.0.tar.xz
+ed5c4fc72e5d72c8da607bd5fe60693f  polkit-kde-agent-1-5.15.0.tar.xz
+12d65231a8265ee56d2ef1915aef7894  powerdevil-5.15.0.tar.xz
+939ec9bc31bb3c89a73163950bdcedda  plasma-desktop-5.15.0.tar.xz
+d7b299906680e0b564ff24f5c0d70f27  kdeplasma-addons-5.15.0.tar.xz
+92751cff053861a46f58d5ca8837cb65  kgamma5-5.15.0.tar.xz
+f6a267d3e76056a70abc262963f10ed5  ksshaskpass-5.15.0.tar.xz
+#f910c1c8e687ddade3c161e9b6b9b598  plasma-sdk-5.15.0.tar.xz
+19e3f3cb0c8341039f9855e79b9f395c  sddm-kcm-5.15.0.tar.xz
+9755f8d9e1c84fcf105b464b513bb269  user-manager-5.15.0.tar.xz
+d7135447c459e8c0bdb5d1fb1d703c01  discover-5.15.0.tar.xz
+#745357574864bd167cff7b294486e145  breeze-grub-5.15.0.tar.xz
+#a31d2ba0c628cf40d5102c14930a353c  breeze-plymouth-5.15.0.tar.xz
+885978ef5cae1c843673be511998fe22  kactivitymanagerd-5.15.0.tar.xz
+3fe2706c6c26f26d9aa38fb658763c9f  plasma-integration-5.15.0.tar.xz
+e8d58c1860a29905fcfb0933de163231  plasma-tests-5.15.0.tar.xz
+710233d7a0cb25b66caba2d496f706ba  plymouth-kcm-5.15.0.tar.xz
+78c04d7c16031002fb373a53ba75514a  xdg-desktop-portal-kde-5.15.0.tar.xz
+b1c8325c6a26a2b3f48b4adb6ce0a533  drkonqi-5.15.0.tar.xz
+3241eed0c5938ecb07c7b6462179fb9b  plasma-vault-5.15.0.tar.xz
+90c0b196206104b28def99c770db4ac1  plasma-browser-integration-5.15.0.tar.xz
+7033a941eef914415feea7051bf1e42f  kde-cli-tools-5.15.0.tar.xz
+580f675f1f03e5d2f4aec5cd6eebfe5f  systemsettings-5.15.0.tar.xz</literal>
 EOF</userinput></screen>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 7ce4fef6afdee430b51a6f04fae30b77caeb302a)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 95965b6f82e0dbce119946a1b90c5ff0e861d09c)
@@ -121,5 +121,4 @@
       <xref linkend="gtk-doc"/>,
       <xref linkend="libdv"/>,
-      <xref linkend="libgudev"/>,
       <xref linkend="pulseaudio"/>,
       <xref linkend="speex"/>,
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 7ce4fef6afdee430b51a6f04fae30b77caeb302a)
+++ xsoft/other/thunderbird.xml	(revision 95965b6f82e0dbce119946a1b90c5ff0e861d09c)
@@ -135,5 +135,4 @@
       <xref linkend="gst10-plugins-good"/> and
       <xref linkend="gst10-libav"/> at runtime),-->
-      <xref linkend="llvm"/>,
       <!-- <xref linkend="openjdk"/>, not in build log -->
       <xref linkend="pulseaudio"/>,