Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2b03f083fc30e35a5d4a06d23d2f9ec4bcda29f2)
+++ introduction/welcome/changelog.xml	(revision 96412a1181fb30d2d1644979753941ee4e0deb7d)
@@ -12,5 +12,5 @@
 
 <listitem><para>September 3rd, 2003 [larry]: xsoft: updated to
-AbiWord-1.99.6.</para></listitem>
+AbiWord-1.99.6 and gnumeric-1.1.20.</para></listitem>
 
 <listitem><para>September 3rd, 2003 [larry]: postlfs: added
Index: xsoft/office/gnumeric/gnumeric-desc.xml
===================================================================
--- xsoft/office/gnumeric/gnumeric-desc.xml	(revision 2b03f083fc30e35a5d4a06d23d2f9ec4bcda29f2)
+++ xsoft/office/gnumeric/gnumeric-desc.xml	(revision 96412a1181fb30d2d1644979753941ee4e0deb7d)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gnumeric package contains <userinput>gnumeric</userinput>.</para>
+<para>The <application>gnumeric</application> package contains <command>gnumeric</command>.</para>
 
 </sect2>
@@ -9,5 +9,5 @@
 
 <sect3><title>gnumeric</title>
-<para>gnumeric is GNOME's spreadsheet application.</para></sect3>
+<para><command>gnumeric</command> is GNOME's spreadsheet application.</para></sect3>
 
 
Index: xsoft/office/gnumeric/gnumeric-inst.xml
===================================================================
--- xsoft/office/gnumeric/gnumeric-inst.xml	(revision 2b03f083fc30e35a5d4a06d23d2f9ec4bcda29f2)
+++ xsoft/office/gnumeric/gnumeric-inst.xml	(revision 96412a1181fb30d2d1644979753941ee4e0deb7d)
@@ -1,10 +1,10 @@
 <sect2>
-<title>Installation of gnumeric</title>
+<title>Installation of <application>gnumeric</application></title>
 
-<para>Install gnumeric by running the following commands:</para>
+<para>Install <application>gnumeric</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome &amp;&amp;
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: xsoft/office/gnumeric/gnumeric-intro.xml
===================================================================
--- xsoft/office/gnumeric/gnumeric-intro.xml	(revision 2b03f083fc30e35a5d4a06d23d2f9ec4bcda29f2)
+++ xsoft/office/gnumeric/gnumeric-intro.xml	(revision 96412a1181fb30d2d1644979753941ee4e0deb7d)
@@ -1,21 +1,29 @@
 <sect2>
-<title>Introduction to gnumeric</title>
+<title>Introduction to <application>gnumeric</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gnumeric-download-http;"/>
-Download location (FTP):        <ulink url="&gnumeric-download-ftp;"/>
-Version used:                   &gnumeric-version;
-Package size:                   &gnumeric-size;
-Estimated Disk space required:  &gnumeric-buildsize;
-Estimated build time:           &gnumeric-time;</screen>
+<para>The <application>gnumeric</application> package contains a spreadsheet 
+program. This is useful for financial analysis.</para>
 
-<para>The gnumeric package contains a spreadsheet program. This is
-useful for financial analysis.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnumeric-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnumeric-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnumeric-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnumeric-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnumeric-time;</para></listitem></itemizedlist>
+</sect3>
 
-<screen>gnumeric depends on:
-<xref linkend="libxml"/>, <xref linkend="gnome-libs"/>, libole2-0.2.4, 
-<xref linkend="gnome-print"/> and <xref linkend="gal"/>
-gnumeric will utilize:
-<xref linkend="Python"/>, guile &gt;= 1.5, <xref linkend="bonobo14"/>, gb &gt;=0.0.17, 
-gda &gt; 0.2.92, <xref linkend="guppi"/> and <xref linkend="evolution"/></screen>
+<sect3><title><application>gnumeric</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeprintui"/> and <ulink
+url="http://ftp.gnome/org/pub/gnome/sources/libgsf/libgsf-1.8.1.tar.bz2">libgsf-1.8.1</ulink></para></sect4>
+<sect4><title>Optional</title>
+<para>gda</para></sect4>
+</sect3>
+
 
 </sect2>
Index: xsoft/office/gnumeric/gnumeric.ent
===================================================================
--- xsoft/office/gnumeric/gnumeric.ent	(revision 2b03f083fc30e35a5d4a06d23d2f9ec4bcda29f2)
+++ xsoft/office/gnumeric/gnumeric.ent	(revision 96412a1181fb30d2d1644979753941ee4e0deb7d)
@@ -5,8 +5,8 @@
 <!ENTITY gnumeric-desc SYSTEM "gnumeric-desc.xml">
 <!ENTITY gnumeric-config SYSTEM "gnumeric-config.xml">
-<!ENTITY gnumeric-buildsize "75.9 MB">
-<!ENTITY gnumeric-version "1.0.12">
+<!ENTITY gnumeric-buildsize "241.5 MB">
+<!ENTITY gnumeric-version "1.1.20">
 <!ENTITY gnumeric-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.0/gnumeric-&gnumeric-version;.tar.bz2">
 <!ENTITY gnumeric-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.0/gnumeric-&gnumeric-version;.tar.bz2">
-<!ENTITY gnumeric-size "9.6 MB">
-<!ENTITY gnumeric-time "10.35 SBU">
+<!ENTITY gnumeric-size "10.3 MB">
+<!ENTITY gnumeric-time "2.97 SBU">